commit d8a81e14d572c4fa8d1b5aa7cb477654c206ae1d
Merge: 1311eba0 dce00ba4
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Apr 28 19:40:16 2024 -0600

    Merge branch 'master' into branch-1.9

commit dce00ba450e686e0fef4bd1d6a8b292eca8bfc25
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 28 15:34:13 2024 -0700

    Version 1.9.18
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b834c989cbddf8db9848af03bb040da1a6a0f651
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Apr 27 22:30:29 2024 -0700

    doc: Add 1.9.18 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ae69294526369f251b221ee1f8ca2cb58b63bd7a
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 28 18:34:30 2024 -0700

    altos/draw: Add 'install' target
    
    Needed for building packages; install is a no-op in this directory.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1311eba0bbe32bc1759a3b11b00c78774843383c
Merge: 7b2588ee a0005e3f
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Apr 28 18:44:32 2024 -0600

    Merge branch 'master' into branch-1.9

commit f89bfb0e1a14c9809d35f60fff448a1b3a2f2b68
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 28 15:49:29 2024 -0700

    Fix up fat build target
    
    Depend on all-recursive so everything gets built before we attempt to
    build the fat bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a0005e3f0cc65f874b112996899a782393a1c12d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 28 15:34:13 2024 -0700

    Version 1.9.18
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f5c037001c51609608940cf16e9e99740aad6ebc
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Apr 27 22:30:29 2024 -0700

    doc: Add 1.9.18 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f8d943c54b1518e77c884b6dc77ee42dc88aaeab
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 28 15:33:30 2024 -0700

    Add EasyTimer v2 firmware
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 278f686f014e74962721e47aeeb60b59afafb37d
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 3 12:31:54 2024 -0800

    altosui: Support gps receiver setting
    
    Create a combo box listing the available receiver models and allow the
    user to select which one to use, including the builtin one.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5c815c673fa7e82419299d87ffde939fbd842333
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 3 12:24:08 2024 -0800

    altosui: Set the beeper to 0 to disable
    
    Don't force the beeper to the default value when the frequency is set to 0.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2bd6698fb9d403931568ddc80266d1bb61c09a8b
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Apr 19 14:07:50 2024 -0700

    altos/test: Add FEC test for simple 'hello' message
    
    This just tests the FEC code using a slightly different data source
    that makes sure odd lengths work correctly.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 19c42c4d97151f2dc38e59cff4d0638694fcd27d
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 28 09:45:38 2024 -0700

    altos/test: Adjust CRC error rate after FEC fix
    
    The number of CRC failures during FEC testing is lower now that
    the packet length bug has been fixed in the FEC encode bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit abfa580ad700415f5ea240450a1621f9de35de82
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 26 21:38:48 2024 -0700

    altos: ao_fec_prepare using wrong value for input len
    
    The FEC code always sends a multiple of four bytes, padding by two
    bytes for even inputs and one byte for odd. But the preparation step
    was using the wrong value for the length, so the output was getting
    mangled.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d7a91278051ff75e3edc3e999a6d8096fa4deec4
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Mar 3 16:37:09 2024 -0800

    altos/easytimer-v2: Generate combined .ihx file for seeed testing
    
    The test plan for seeed requires a combined loader and firmware image
    for a single flashing step.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a017cfce31429ef25a53a724e99b53c8267ec4ef
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 2 16:23:57 2024 -0700

    altos/stm32f1: Grab both TX/RX DMA mutexes while doing I2C
    
    The I2C engine appears to trigger an extra RX DMA transaction which
    scrambles anything sharing the same DMA units.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d9140ea0d6bf6755a2701115273f02a4c3944e17
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 24 12:46:17 2024 -0800

    altos/easymega-v3.0: Update i2c pin usage
    
    Found an errata which means we had to swap which i2c to use with the
    mag sensor. Swap the mag sensor and fire_c/fire_d.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bb3bfea5462d3f3e1a0a5f4645f67996054a78a3
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 24 12:45:54 2024 -0800

    altos: Build EasyMega v3.0 by defaul
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 22b5d1a98a86ac4d2d0ef12565a01e3591f9afb9
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 24 12:45:09 2024 -0800

    altos/stm32f103: Fix continuous ADC code
    
    This needs the same hacks as the manual ADC code.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6a9721f344d1837c913fee142c875de4d7357820
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 24 12:44:00 2024 -0800

    altoslib: Add EasyMega v3.0 support
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4da8e047c4df06a0fec2c0cd47d26d5f1bef0e31
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 12 22:58:45 2024 -0800

    src/easymini-2.0: Add combined .dfu file for Seeed testing
    
    Provide a combined .dfu for testing EasyMini at Seeed. This
    checks the baro sensor (via POST) and SoC.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 94445131d0be72f099985709dda4203259b1d947
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 2 16:31:03 2024 -0800

    stm32f1: Clean up some ADC definitions
    
    The CR2 bit is called TSVREFE in the docs, use that consistently
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bcf9db74705dcd77eccd8f36f73c2eb99a5f1c70
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 31 22:05:13 2024 -0800

    altosui: Make accel cal dialog say 'beeper' instead of 'antenna'
    
    Quite the plumbing required, but it'll do.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 13befe46b107a88d05710991beab3b7b8478fa09
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jan 29 18:40:30 2024 -0800

    altos/easytimer-v2: Fix product name
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9419cf4f22e5cd337da54d7907fc0a5e848bd464
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jan 29 18:40:06 2024 -0800

    altos/easytimer-v2: Set default log size to 192kB
    
    This leaves space for 4 flights.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 52d0c638343b2424cae08059f788a02efddee19a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jan 29 18:39:27 2024 -0800

    altoslib: Add EasyTimer-v2 support
    
    Log parsing and idle monitor.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a724a6b223229f8640740874523aee394350e9c6
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jan 29 17:58:02 2024 -0800

    altos/easytimer-v2: Fix up ao_pins.h
    
    Fix M25 CS pin (PA10).
    Fix BMI088 axes
    Fix MMC5983 axes.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a148876e36bc3f84f11fdac57a9f69171e30c058
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 28 21:14:06 2024 -0800

    altos/telelco-v3: Minor UI tweaks
    
    "Box"→"Bank" to match docs.
    Auto-center text instead of pre-computing. Way easier.
    Scroll found banks during startup.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7977ff5291c6161d37b7c1b1548258df2e58c09e
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 28 00:17:27 2024 -0800

    altos/st7565: Set default contrast to 13
    
    This seems slightly better than 16. Might need to actually keep this
    in config space.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ffaee646efded39c3cdb07948823822ce8df8c4e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 23:59:43 2024 -0800

    altos/telelco: Add RSSI display to older devices
    
    Show RSSI value on TeleLCO v2.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1741039eb3633b3f010ac7fc9e6a055d02aa0a15
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 23:48:51 2024 -0800

    altos/telelco: Add per-box RSSI display screen
    
    Shows the last received RSSI value.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 43d1cfd0d1458c2d4c333155902be28bfe17b6ee
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 23:47:45 2024 -0800

    altos/stm32f1: Set beeper pin to 0 while off
    
    Make sure we don't let the timer leave it sitting high; the
    magnetic beepers probably don't do the right thing in that case.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 323a6a44083f865c90c12e93775ac2dbf9352de3
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 23:13:17 2024 -0800

    altos/telelco-v3.0: Show backlight/contrast value as percent
    
    Provide a bit more feedback about the setting.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit efe964558805a18f070f405377ef0f437ccce237
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 23:12:05 2024 -0800

    altos/st7565: Diff image during update
    
    This minimizes the amount of data sent to the device. Mostly this is
    useful to skip updates that don't change the display at all.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bf7d2aaccd41837dd2e032023107616266e22a6d
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 23:11:15 2024 -0800

    altos/telelco: Update backlight/contrast display upon change
    
    Don't wait for the 1-second poll interval.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d1fd9055898fb07033b80f3d9d677a97d485fb2f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 23:10:28 2024 -0800

    altos/draw: Add ao_text_width
    
    Computes the total advance of the given string, not the width of the
    resulting ink.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f9103d13f620cb06642aacdff9dcaf05e87d671f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 22:03:00 2024 -0800

    altos/telelco-v3: Add logo to 'info' page
    
    Make the info page a bit more fun
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 936ef3907e956b1a42ad54fe5757bd816b20890f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 16:35:33 2024 -0800

    telelco-v3.0: Add info page
    
    Show model, version, serial, call and freq
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5cea1324ac4a34a21324c4bb50885ffacb6d29da
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 16:03:35 2024 -0800

    altos/telelco-v3.0: Control LCD backlight with PWM
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5506b6c1f75d639e2d952213a53bc9ee34e5a79c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 16:03:20 2024 -0800

    altos: Add support for backlight control in ao_lco_bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7ac9267b156d7bb6e942dd630a9ba142ba0c7a00
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 16:01:20 2024 -0800

    altos/stm32f1: For some reason the DBG registers aren't always available
    
    Attempts to discover the device model during flash loading appear to fail
    for unknown reasons. Switch to basing the memory page size on the total
    memory size, which should be just as reliable.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ff21e293ee8185b19a30df74ca7a1610625ef465
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 15:31:04 2024 -0800

    altos/telelco-v3.0: Configure SPI GPIO pins to 50MHz
    
    Need enough bandwidth to run at 20MHz
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3687628cdd964a5e6729b8c9506efa5e2e9d8a84
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 27 15:30:27 2024 -0800

    altos: Bump ST7565 speed to 20MHz
    
    Go as fast as we can manage
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f9e319f5a97df8c0950ec7531d0889cf60e53783
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 26 17:35:43 2024 -0800

    altos/telelco-v3.0: Add contrast setting
    
    Provide a UI for setting the LCD contrast.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 23fec388ebdf4230663324e1f0ebfbd79059e841
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 26 17:35:21 2024 -0800

    altos: Build TeleLCO v3.0 bits by default
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 470be148d9a9dcd45609942d17fcf7c1555375f3
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 26 16:06:44 2024 -0800

    telelco-v3.0: Minor setup fixes
    
    Change beeper to lower tone. Switch LCD SPI to mode 3. Fix the
    quadrature device ID.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 54a465d062d9a863f14519267f06927d001e2c23
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 26 16:05:45 2024 -0800

    altos: Fix pretend pad range for TeleLCO
    
    Off-by-one when setting up the pretend pads.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c8e02fea0b6de30c3929bb1551e7de02b7047f3d
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 26 14:03:40 2024 -0800

    altos: Add wiring docs to st-7565 header
    
    Write down what worked today.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d2216717adac7f7e917e13085de6ce8118023d5f
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 26 11:07:55 2024 -0800

    altos: Add SPI bus parameter to ao_spi_speed
    
    The stm32f1 series has two SPI busses and they operate from different
    base clocks, so the computation of the clock divider to get a
    particular frequency depends upon which SPI bus is being used.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3fdf2f80ccf3a2b148b63f5fd5de198957719075
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 26 10:59:19 2024 -0800

    stm32f1: make spi speed per-bus
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 044f68d6be05be8b0a6a2432f64b8fb2e94ca956
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 26 10:57:56 2024 -0800

    switch to mode 3 for LCD

commit 9a5cd9e64a66829fb0cd3713c5cbd41085641db3
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 24 15:36:34 2024 -0800

    src/stm32f1: Disable extra JTAG pins in ao_clock_init
    
    Need to enable AFIO before trying to adjust bits there.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit de37d4a17e8eac517ed00f179c9cd5c09b820dfc
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 13 20:57:38 2024 -0800

    altos/telelco-v3.0: Use timer 2 for fast timer
    
    We need timer 1 for PWM on the backlight
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e82cf4199761e900ef176a2a6ddd5d7cfc38bc07
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 13 20:57:00 2024 -0800

    altos/stm32f1: Support timers 2,3,4 for fast timer
    
    Make the code deal with differences between timer 18 and 234
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d216d17e5317607ced5a2437e5360203647e6eb9
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 11 16:17:32 2024 -0700

    altos/telelco-v3.0: Battery voltage is on PA2
    
    Which is ADC input #2
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e93b73d9adce883e7e4094a06f4de86f5c774567
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 11 16:16:58 2024 -0700

    altos/telelco-v3.0: Don't connect PA6 to SPI
    
    MISO is not used, and we need the pin for other stuff.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a3fd78224f222adc4cec394a2c8f4153d6e8571c
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 11 15:12:34 2024 -0700

    altos/stm32f1: Allow PA6 to be left alone in the SPI code
    
    This is MISO, which the LCD driver doesn't use. Leave it alone so we
    can use it for other stuff.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2447293cbaaf7b783744ca2f68bf1769a8798841
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 11 15:11:06 2024 -0700

    altos/stm32f1: Poke the ADC harder to get it to sample
    
    The ADC requires a bunch of poking to get it started.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 321556be4eda94be40dbefe13f0549ad224c7c33
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 10 23:49:00 2024 -0800

    altos/stm32f1: Turn on ADC during initialization sequence
    
    The ADC needs to be left 'on' so that it will actually
    run the conversion sequence when started.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 65cbf1af7a0c5051c75a7e6a104f3ed17cb629a9
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 10 17:27:33 2024 -0700

    altos/telelco-v3.0: Add USB pull up
    
    And move the ARM LED to PA9
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fb3cd8d1987b3e4d0a09ece97b3124e954c5f949
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 10 17:26:12 2024 -0700

    altos/stm32f1: Add STM_RCC_CFGR_PLLXTPRE_MASK value
    
    Necessary when setting the PLLXTPRE value
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cea7122fc1843b14a179ed9311677f69c10b38eb
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 10 17:24:32 2024 -0700

    altos/stm32f1: Set PLLXTPRE value
    
    This is the pre-PLL divider value which is needed when we want to
    use a 16MHz crystal and a 72MHz sysclk
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c8a0811abf59fb55cb17d2159289621d26e887ad
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 10 17:22:57 2024 -0700

    altos/stm32f1: Support beeper on tim3
    
    Add a bit more flexibility to the beeper code
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1b8bc4e4aadd367c40d33afefb526f1c60c7d118
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 20:13:04 2024 -0800

    altos/telelco*: Make LCO voltage display work on 2.0 and 3.0
    
    Fix up the common code to handle LCO voltage display via box 0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6d3b9ca44ffe43bd6285c37af4ee1d6174be8fcd
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 19:57:03 2024 -0800

    altos/telelco-v3.0: Fix up search UI
    
    Present a progress bar. Show the detected box numbers.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8c5c7dfe66098bc8af47768146739a7cda605968
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 19:14:03 2024 -0800

    altos/telelco-v3.0: Add ao_adc_single usage to get battery voltage
    
    Poll the ADC to acquire battery voltage data.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 37de458faea5f67870b80e3549e37130bf43b11b
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 19:13:22 2024 -0800

    altos/stm32f1: Add ao_adc_single support
    
    This supports polling the ADC for values instead of having
    them get dumped into a ring at a regular rate.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1760bec9ed19c64f35ea28904cea433d39dead07
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 18:58:41 2024 -0800

    altos: Move ao_adc_single.h API header to kernel/
    
    THis was in stm, but will be needed by other architectures.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a30f526c42177ed7d4ad239f31b7b5163e16a036
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 17:05:34 2024 -0800

    altos/telelco-v3.0: Add some real drawing stuff
    
    This required enabling devices with 128kB flash.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit edbe6cca1e6b68bcc90064cd70529a9f9b0f9632
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 16:48:43 2024 -0800

    altos/telelco-v3.0: Use eeprom emulation for config storage
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e959061fa17e15dfdd75d35c6c67e68a0e5e98e2
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 16:47:47 2024 -0800

    altos/stm32f1: Add eeprom emulation using flash
    
    Use the last 2kB of flash to emulate eeprom storage for TeleLCO. This should
    also be useful for EasyMega.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 31756e065828ca5c1779f1349c38d29196f4798d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 16:21:40 2024 -0800

    altos: Add initial TeleLCO-v3 bits
    
    This might light up some of the hardware...
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2733436da522650d4e918b7bc7d65f966f149792
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 16:20:42 2024 -0800

    altos: Build in 'draw' directory first
    
    This makes various font bits for targets using graphics
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 96cee909d1392f098c22c0122f12e358a7fe8174
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 7 16:20:18 2024 -0800

    altos/stm32f1: Add ao_fast_timer.c
    
    Needed for TeleLCO
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 96459ad1231898c743aacf3fbc1afbf92f5579dc
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 6 23:24:13 2024 -0800

    altos/telelco-v3: Move USB pullup from PA9 to PA10
    
    Production boards will have the pull-up on PA10, and Bdale will hack
    up the protos to match so we don't have to have separate firmware.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 28c389c08a37010fdbb26e9923d16c3204862e67
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Jan 7 15:55:53 2024 -0700

    fix product name

commit 50dea58c0f2ae87827a1a761ea7868e9798a5fd5
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 6 23:16:23 2024 -0800

    altos/telelco-v3: Create initial flash loader setup
    
    Copied from easymega-v3 with USB pull-up moved to PA9. Note this
    assumes the proto boards will have a resistor fitted there, which is
    not in the artwork.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2a34be23938cf1b3c3662abe2d39492bda9a4be1
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 30 00:46:36 2023 -0700

    altos/easymega-v3.0: Switch to STM32F103
    
    For some reason, there was easymega v3.0 firmware sitting here, but
    it was mostly a copy of easymega v2.0 bits. Fix that to support the
    current design based on the STM32F103 SoC.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4683ef1d97f405fabbc214eb7b83bba15990ff79
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 30 00:45:17 2023 -0700

    drivers: Add real i2c support to mmc5983
    
    It only had bit-banging i2c support; go ahead
    and add "real" i2c support for EasyMega v3
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1cad5ca2525fbe067f897871bc2c4dc45a13e85a
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 30 00:05:21 2023 -0700

    altos/stm32f1: Add more IP block drivers
    
    adc, beep, exti, i2c
    
    Also hooked up data sampling bits in ao_timer.c
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3da00a912b07c77d06785933c92e287ab48b0f79
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 16 10:24:36 2023 -0700

    altos: Fix up stm32f103-nucleo 'lco' demo mode
    
    Adjust some layout now that I've got a real screen to play with.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6f7d530b9ca06272354d1b7c05813a2523b24887
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 16 10:23:05 2023 -0700

    altos: Clean up st7565 LCD driver
    
    Get rid of AO_ prefix on chip-specific register values.
    Declare ao_st7565_instructions to take const uint8_t * so
    it can accept an array in flash.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fab278542c9bb31991a93604a9f646e8cd8285af
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 17:14:56 2023 -0800

    altos/stm32f103-nucleo: Draw more of the LCO demo screen
    
    Add the box/pad screen.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bfafd5b04f0cca36724f3de0b0f18ffac93be591
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 15:54:39 2023 -0800

    altos/stm32f103-nucleo: Drive a screen too
    
    Use the ST7565 driver to control an LCD screen.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a080a564b9b54e6b3495d30703c45ba2850b1703
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 15:53:58 2023 -0800

    altos/stm32f1: Add DMA and SPI drivers
    
    These came from the code for the stm32l15 chips
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b0ea39f7eb18aa73160b0b848a9000892f43c0e7
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 15:53:03 2023 -0800

    altos/driver: Document setting for AO_ST7565_BIAS
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b2d2a9de490a140e8f2c5c2fba739662b340fb3b
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 15:52:11 2023 -0800

    altos/draw: Have each font declare ao_glyph_temp as .comm
    
    Create temporary glyph drawing space by having every glyph declare how
    much space it needs and letting the linker allocate the largest
    possible space.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6394680d1e9ff8596068a73eb43e4adc45722455
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 15:50:57 2023 -0800

    altos/draw: Skip line adjustment for vertical/horizontal
    
    When e3 is zero, don't adjust the minor position based on
    the major as it doesn't move.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8e82ecb3eddd992c1d351ad7489ae5cbdb761cea
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 15:50:19 2023 -0800

    altos/draw: Build demos with -O3 to catch more bugs
    
    The compiler fails to do a lot of checks in -O0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5af8252cb6cf51611963f4df97eee04741438ea5
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 15:49:52 2023 -0800

    src/draw: Provide some useful constants
    
    The two colors and a stride macro
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d65652ac9027475d32510feac9eb8b57a2080d48
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 8 15:14:53 2023 -0800

    altos: Add ST7565 LCD driver
    
    This is the chip used by various NewHaven LCD displays
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 09a3c086dae1cce43c843626a1c624b4e2ad8d04
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 22:41:48 2023 -0800

    altos/stm32f103-nucleo: Add boot loader
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cea0f40fff14b9d2085e0026a68b742a4b114cb9
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 19:24:11 2023 -0800

    stm32f1: Get boot loader working
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 58f013162125b2143a5a9f1c0544cb20817e9524
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 19 16:29:56 2023 -0800

    altos/stm32f1: Start work on self-flash code
    
    Looks like this uses the same IP block as the stm32f0 series; copied
    the code, haven't gotten it working yet.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b23ac7ea00ec26779354869765ced9caa2d05738
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 19 15:45:29 2023 -0800

    altos/stm32f103-nucleo: Use more bits
    
    Get the OS running, use the serial for console
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 87b64a15f55ecb20a0f8bb2556e77b45a4d82b82
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 19 15:44:32 2023 -0800

    altos/stm32f1: More stm32f103 work
    
    Serial driver works
    Interrupts work
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d2cb18542f4f6071232bd046fd1b257228c17a25
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 17 23:02:16 2023 -0800

    altos: Start work on stm32f1 support
    
    Got clocks working. CPU now running at 72MHz.
    Got systick timer working. Ticks at 100Hz.
    Got GPIO working. LED blinks.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c361192dbeabeb434fd6744e575756c012545d1b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 22:40:29 2023 -0800

    ao-tools: Add flash utility for stm32f1x chips
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e8b0ac5a17d2fb5a0d99ea86c3a2e1c780d3adf3
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 30 12:33:22 2024 -0800

    altos/lpc: Adjust ADC clock from 450kHz to 4.5MHz
    
    A missing zero. Also, let products change this value if desired to
    improve high-impedence performance.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0d4e2f95e628b693e418ac9825e81792acf9d809
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 31 17:47:08 2024 -0800

    Fix configure tests for multi-arch libaltos
    
    libaltos builds now require a long list of compilers. Check for all of them
    before enabling it when building in auto mode.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cd20605c9b3c8bc9cbbea4eb1252c9282a317c94
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Jan 22 16:15:44 2024 -0700

    kernel: conditionalize config "report in feet" on presence of baro sensor

commit d4ac6abeb89282d9d96979b2a735aa4dc1e4c33d
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 6 22:09:41 2024 -0800

    altos/easytimer-v2: Initialize logging too
    
    Now that the logging bits are all written, let's turn it on.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 14f1e175af85c0ef4539316d5ce049798a878fcb
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 6 22:08:54 2024 -0800

    altos: Updating pyro format tried to copy entries with no value
    
    Need to check for NO_VALUE before attempting to copy data, otherwise
    things will go badly.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3f31012645918097dc426cd6ba8763b30e78bab1
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 6 22:07:29 2024 -0800

    altos/samd21: Enable stdio for USB by default
    
    samd21 usb driver didn't bother to enable stdio for USB for some
    reason.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e026f1d16eb368d6a27b4c4ffbc4cece3950a07b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 6 17:06:58 2024 -0800

    altos/easytimer-v2: Update comments in flash loader ao_pins.h
    
    No code changes, but the comments were wrong.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d69b6738040bf751d024b4daceace7aedee6f7c7
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 6 17:03:30 2024 -0800

    altos/easytimer-v2: Add logging bits
    
    32-byte records with all data in a single record instead of
    separate volt/sensor bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f2292d66184e7f40336bfc59d2e9388391bd9511
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 16 10:30:24 2023 -0700

    altos: Build easytimer-v2 bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5de0bd66edf15aaaf8d404d59e2740b8e8050587
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 16 10:29:10 2023 -0700

    altos: Initial easytimer-v2 bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 05839dccf5afa431d93ae6124ab8b76f09bf6b54
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 16 10:25:19 2023 -0700

    altos: Use BMI088 as z-axis accel as needed
    
    When there's no high-g accel available, use the 'along' axis
    to measure acceleration.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 010c65fa82aad9d950df519fa7dc111cfbb02104
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 11 13:44:54 2023 -0800

    fixup seven segment debug code
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 83953c145483f4902e31e22062e9261de4c97aa6
Merge: 7cb9bbe7 960603c4
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Nov 16 09:28:44 2023 -0700

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 7cb9bbe7a285867d76c9d535709383a425cba7c7
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Nov 16 09:28:21 2023 -0700

    add a paragraph about how to hook up a pressure sensor to an EasyMotor

commit 960603c4a4def375a585b01f8b9356b62893b7f1
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Oct 10 11:24:45 2023 -0700

    micropeak: Include firmware in install bits
    
    These are useful for people building their own hardware.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a5de950272ddaefa03f964a8d31d21ffc7dccab4
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Oct 10 11:19:54 2023 -0700

    doc: Use -optimize with asciidoctorpdf
    
    This does some additional compression on the output to make it
    smaller.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 33b6f363bd1377c2cc55213a15b70c65f729dfb7
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Aug 30 11:52:44 2023 -0600

    update Releasing with learnings from 1.9.17 release

commit 8f3653c4586358bf02f3fc7fa8f71728c2fee01a
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Jul 20 12:02:36 2023 -0600

    doc: fix a typo in the staging example

commit 7b2588ee723827b9be2a2d5f287afb1b5d351b23
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Aug 30 10:48:52 2023 -0600

    update ChangeLog for 1.9.17 release

commit 63a8707ee4120148f6ec5cb073b349beefe377fa
Merge: b071450f a4995df3
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Aug 30 10:46:42 2023 -0600

    Merge branch 'master' into branch-1.9

commit a4995df3d75359d258881934f60980e486681b9d
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 30 09:15:28 2023 -0700

    Version 1.9.17
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 847d011791caec4d3b28052d5b4f2f25a7df135a
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 30 09:12:34 2023 -0700

    doc: Release notes for 1.9.17
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 914fb3d53bf6fd4b8be8e10eb1a9e1e3e1a323be
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Aug 30 10:27:39 2023 -0600

    ao-bringup: be consistent with success text in TeleGPS test script

commit 484290b35761add128e34c017bbf0e91d9a4a7bc
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Aug 28 11:44:40 2023 -0600

    ao-test-igniter: allow anything other than 'open' to be valid so LED tests work

commit 05b689b29a964a233b2389390c9669538160888e
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 4 11:54:10 2023 -0700

    altos: Use ublox-10 mode for TM v4.0
    
    This will only work on a hacked board with a swapped GPS unit.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 342bd580ac9f7e5ddd585c795c3aca44f7cde51d
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 22 00:01:03 2023 -0700

    altos: Use pyro voltage to check igniters
    
    Instead of using an absolute value for the igniter continuity good
    voltage, use 15/16 of the pyro voltage instead. This ensures we scale
    with the pyro voltage to find marginal igniters even with high voltage
    pyro systems.
    
    This doesn't work on TeleMetrum where we have no pyro voltage
    value. On these boards, continue to use a fixed 3.5V value.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 92bbfacb64568b3b6d132ba23e17dc57da582626
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 22 00:00:12 2023 -0700

    altos: Don't include ao_pyro.h into telelco code
    
    This isn't used at all.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d6bdabbdfa0cd3854e67fd363dc1bb4bd14e68d9
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jul 21 23:59:07 2023 -0700

    altos: Add pyro voltage divider values to boards with them
    
    EasyMega and TeleMega have separate measurement circuits for pyro
    battery voltages, provide the resistor values.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 70481772386d556b8a7981da38a03f5c9b181a7c
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jul 21 23:19:06 2023 -0700

    altos: Compute igniter good/bad thresholds using 3.5V value
    
    Instead of requiring each product to set the ADC values for good/bad
    igniters, compute them based upon a 3.5V value using the ADC
    characteristics already present in ao_pins.h.
    
    This changes the threshold used on LPC parts from 400 (0.189V) to
    7388.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f495f2a479569d839f4efe8f115d51ae162edcfd
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 12 23:15:36 2023 -0700

    altos/stmf0: Disable ao_boot_check_pin if not in use
    
    This allows rebuilding the boot loader without boot pin support (as
    required to debug TeleMini) by only editing ao_pins.h
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2dd10fcc43369129b1d5067f10365574a12943eb
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 12 23:13:29 2023 -0700

    altos: Add AO_STACK_CANARY to detect stack overflows sometimes
    
    Checks above and below the current task stack at each switch.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 41301eea02a25c77129c852d11977accf26152db
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 12 23:11:01 2023 -0700

    altos/stm32f042: Increase interrupt stack to 256 bytes
    
    Running the radio on TeleMini in monitor idle mode ended up
    overflowing the interrupt stack of 128 bytes. Increase to 256 bytes
    and adjust task stack sizes so targets continue to build.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 444e6b28f99e7849bbc96cb040b2d73f6bc228b9
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 6 14:57:53 2023 -0700

    altoslib: Support Monitor Idle for EasyMini-3
    
    Needed to explicitly support this target even though it was almost the
    same as EasyMini v1.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 83480da31923ba078746a0f5370cf63d87f31e1e
Author: Keith Packard <keithp@keithp.com>
Date:   Sun May 14 10:38:01 2023 -0700

    altos-mapd: Install systemd dir in arch-independent location
    
    Use $(bindir)/../lib instead of $(libdir) as the latter has the
    arch-specific directory added.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 062b9709e66ac9f678efc8531dd65dbb497feaee
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Apr 28 00:35:28 2023 -0600

    update Releasing based on 1.9.16 release experiences

commit b4e136c63d5e02b1ce94e6981a99c99ff1389658
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Apr 28 00:29:01 2023 -0600

    have TeleGPS production script save RF cal value

commit b071450f0cf70c2d10d78cc5ca48be1ec7b05c4d
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Apr 27 23:53:30 2023 -0600

    updte ChangeLog for 1.9.16 release

commit 1605f722a7e0b2ba54620ce334e79374842e6957
Merge: 459f421a 58fa3379
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Apr 27 23:52:46 2023 -0600

    Merge branch 'master' into branch-1.9

commit 58fa337960b7b528c4755514f5faee894527de92
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Apr 27 20:25:43 2023 -0700

    Version 1.9.16
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5214a559acc582d639e2489c82594e5fb3a4c540
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Apr 27 22:11:30 2023 -0700

    altosdroid: Deal with Google requiring API version 31
    
    Need to add some magic constants to the build.
    Need to support BLUETOOTH_SCAN permission.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1414ad9a8e5b3dce6462f410760e56fd7a1938cb
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Apr 26 18:08:09 2023 -0600

    update TeleGPS v3.0 production script to flash correct firmware versions

commit 7d9933328e2fbbe636d88dd49aa539ee59c5edf6
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 26 16:08:38 2023 -0700

    Add TeleGPS v3.0 firmware
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8b346b1bc86306f2565d8af4ac8a2bab35145a38
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 26 16:04:21 2023 -0700

    doc: Add 1.9.16 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 12258676d2c19dfe85c3484b064b970865c2f418
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Apr 26 17:06:42 2023 -0600

    add production scripts for TeleGPS v3.0

commit 1ab3cdedb83296a3296aeaaf1e0fa6a11800e331
Merge: 90256e02 38450798
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 26 15:46:15 2023 -0700

    Merge branch 'telegps-v3'

commit 90256e02ccb19646816c428d103460385bee8fb5
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Apr 25 14:11:48 2023 -0700

    Version 1.9.15.1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cb756983a26595a5d2f317a6693f9a670665c86a
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Apr 15 21:53:28 2023 -0700

    altos/stm32f04x: Smite the OPL_LAUNCH bit to reset boot config
    
    When rebooting, make sure the option bytes are recomputed based upon
    the latest flash configuration, including whether there's a program
    loaded. This ensures that we don't end up re-starting the DFU loader
    and mangling our ao_boot values. Without this, our flash loader code
    wouldn't be able to see the signal to stay in the loader and we'd end
    up back in the application.
    
    Of course, this is only necessary if we want to reboot just after
    flashing the boot loader without power cycling. Once the chip is power
    cycled, it recomputes the option bytes automatically.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 16c3f541e80d77f4adc1a69f15e82c23d7947138
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Apr 15 21:50:08 2023 -0700

    altos/stmf0: Remove some incorrect defines in stm32f0.h
    
    These got copied from the stm32l15x bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 38450798207d7bafb72fbc9a4bcdf2c8fec84653
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 20:13:57 2023 -0700

    telegps: Add unit setting to device configuration dialog
    
    This isn't used by TeleGPS, but is needed to make the config system
    work.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4f1cdc5c10295ace4940a9b1f9068fd885dc789b
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 19:41:02 2023 -0700

    altos/telegps-v3.0: Get LED blinking when GPS locks
    
    Initialize the LED subsystem and assign the green LED to report GPS
    lock.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2aa60e8d3a88b067816e0e90413bbf7c3a0a2f8b
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 19:42:31 2023 -0700

    altos/telegps-v3.0: Use all 6kB of available ram
    
    We need more ram for LED blinking.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bf26932b4ac73b6945887bdd3bc63d74d0b91f69
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 19:41:50 2023 -0700

    altos/lpc: Support 6k ram targets
    
    Set RAMSIZE in Makefile before including ../lpc/Makefile.defs and it
    will select a suitable linker script.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 07bade3be82f8fb0edda6481cc3bda9df425d996
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 19:39:37 2023 -0700

    altos: Make sure storage is setup before starting log
    
    TeleGPS v3.0 uses internal eeprom for config, so storage wasn't
    getting setup before doing the telegps-specific init bits. Instead of
    worrying about it, just call ao_storage_setup at the top so that
    storage is always ready to go.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9307f3bcaa7790fedbed4bedab71ace28bd639e2
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 16:44:47 2023 -0700

    altos/telegps-v3.0: Use new MAX 10 support in uBlox driver
    
    Switches to the new packet types as required by this chip.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 957768164e71249c4d9cf4afe29d34dea395b68a
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 16:44:04 2023 -0700

    altos: Dump GPS dop/course data from 'g' command
    
    This lets monitor idle show more of the GPS status
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c412aecbb495f3bdb521d0427d4b26cf86f201e7
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 16:42:57 2023 -0700

    altos/drivers: Support uBlox Max 10 chips
    
    The set of supported packet types has changed from the last chip;
    update the driver to switch to new packets.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f0f7962eedd4408cd0c6570ac4468979fd971378
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 16:38:03 2023 -0700

    altoslib: Parse more GPS monitor data
    
    GPS is being updated to send dop and course data.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c6da41f0ce2c3394c8910135bcf48d3ec80d2e63
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 9 16:37:29 2023 -0700

    altoslib: Support TeleGPS v3 monitor idle
    
    Needed to deal with ADC difference from STM-based devices.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2d15724c4a175a4807dbbde6d2c2f241a9c49021
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 28 13:43:38 2023 -0700

    altos/telegps-v3.0: Fix SPI bus usage
    
    CC1200 is on SPI 0, M25 is on SPI 1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5240c06a757dbe9548a7394611b2a121dccf13e2
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 28 13:32:48 2023 -0700

    altos/lpcxpresso: Update for 11u24 board
    
    This updates the lpcxpresso demo to support the 11u24 board with
    serial connected like telegps v3.0 on p1_13/p1_14
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cbc7a40fd29dd9a2e5f55dd58e9d50e009e7fb22
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 28 11:56:27 2023 -0700

    altos/lpc: Validate UART pin config
    
    Make sure some UART pin configuration has been selected
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cb357c306465925f020f756db6b4f0914b1f223f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 27 21:52:27 2023 -0700

    altos/telegps-v3.0: Use eeprom for config
    
    Avoid wasting space in the SPI flash part for device config
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bac27453db0ebfad1c27745200fe6f168d26bd43
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 27 21:51:31 2023 -0700

    altos/lpc: Add support for eeprom on 2x/3x chips
    
    The newer 11U2x and 11U3x parts have enough eeprom to support storing
    config data there. Add support for the IAP calls for read/write.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ac188661d3965f150d9b279b107b07e282f50861
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 27 21:29:06 2023 -0700

    altos: Build TeleGPS v3.0 by default
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 168b5b31eec79aa93bc68ec52ff83dd1948cd4f2
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 27 21:27:43 2023 -0700

    altos: Add TeleGPS v3.0 support
    
    LPC 11U24FET48 with CC1200 radio. A bit like TeleGPS v1.0 but with different
    pin assignments and a different radio chip.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 68c3a1f238be808b23573dbd19bcfc135d25bd03
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 27 21:26:41 2023 -0700

    altos/lpc: Support UART on pio1_13/pio1_14
    
    This is an alternate configuration for this chip.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4d9874c473887a4f43ba14ac855a2db00a740d2d
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 27 21:25:43 2023 -0700

    altos: Allow ports to use type other than 'void *' for gpio block
    
    LPC uses integers while everyone else has a struct for each gpio block.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 79826cdbba8fe52e05ccf69e7722890e85cc0d1a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 27 14:39:03 2023 -0800

    altos/draw: Use damage for lco demo
    
    Do some incremental drawing to demonstrate damage in action
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 99b9f6386018ad201c5defc595b22bf6d5d825fe
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 27 14:38:41 2023 -0800

    altos/draw: Use bitstream fonts for LCO demo
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 176b750e26a583e71b68fadd989f66ac965efab3
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 27 14:38:09 2023 -0800

    altos/draw: Use <> for include files
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c40d91ec83d0af715256747dc4be5cabd2c13959
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 27 14:36:33 2023 -0800

    altos/draw: Add vera sans fonts
    
    These work better in 1-bit mode than frutiger
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c3414603bb9993e4cf3f0163ae0575758201b041
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 27 14:35:36 2023 -0800

    altos/draw: Add damage tracking
    
    This will allow more efficient updating of the screen
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0c1fd7fe05092a179f0ce3c0a2294f14e71300f9
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 27 14:11:06 2023 -0800

    altos/draw: hand-edit 64-pixel 3/5 to avoid jank
    
    These had random-looking pixels hanging off the ends.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ec077209becf9ad8429f6cdf98fa06831263c813
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 18:55:54 2023 -0800

    altos/draw: Use fewer fonts in lco sample
    
    Saves some memory
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit da605a15bbdc3b0f15cf7c70256ce4c32da071c6
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 18:50:31 2023 -0800

    altos/draw: Add line test app
    
    There were bugs, now there's a app to check them.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c2a21c0f6a770f989833d0bd35761e17f9843353
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 18:49:47 2023 -0800

    altos/draw: Split out draw test scaffolding from lco-test.c
    
    Allows it to be reused.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cd5b0ac6f2b0c709fe3d419c4c090aa5638d09e1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 18:48:54 2023 -0800

    altos/draw: Inline span fill for polygons
    
    Instead of calling ao_rect, do the clipping by hand
    and call ao_solid instead.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bc17e4ed423c75624115ee3921aee2111ec1139b
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 18:48:05 2023 -0800

    altos/draw: Fix clipping far line end
    
    Make sure the final unclipped pixel gets drawn.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9a79e8d8903b63f3f630d7f6455ee09715f55615
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 18:46:40 2023 -0800

    altos/draw: Check for horiz/vert line when clipping
    
    Horizontal or vertical lines won't step along the minor axis while
    clipping.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4fa489276826e33fa5e21d0a94a8ed3e29ebcfd0
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 18:46:09 2023 -0800

    altos/draw: Add validation for line drawing
    
    Just make sure it never draws outside the dest.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d804a00a7576d5e3c59c413762248787a1282c16
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 16:04:17 2023 -0800

    altos/draw: Rename test app to 'lco-test'
    
    This seems like a good place to do the LCO UX prototyping
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0f4cf599bc358c478a9e0a4b86f26704434a47e4
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 16:01:20 2023 -0800

    altos/draw: Mock up TeleLCO boot sequence
    
    Show logo, progress bar and discovered box numbers during
    boot sequence
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5139675bfad723e6a9a606e080541bb0b791f43b
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 14:59:58 2023 -0800

    altos/draw: use --gc-sections in demo program
    
    This cleans up all of the unused font bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 79fe00b3c8931c3e6a96cb57fcde2a97cc78ff14
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 14:14:56 2023 -0800

    altos/draw: Rearrange sample LCO screen in draw-test
    
    Place labels at the top, use proportional font so
    the voltage values fit.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0c6b7a34f8f52dafe7f75d790f74d4dd63fd53d3
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 13:57:34 2023 -0800

    altos/draw: Add NotoMono font
    
    This has a zero without a dot in it, so it might
    look better on TeleLCO
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c3dff4d7286991888bd79484c19adccc6926afc1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 13:47:34 2023 -0800

    altos/draw: Add transforms to polygon code
    
    This lets the polygons remain constant but have them get
    scaled/translated when presented on the screen.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fbbb3a06e42ec51d5d0582fe674528bd0e9e13f2
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 13:46:15 2023 -0800

    altos/draw: Convert draw test framework to modern C
    
    Was still using K&R function definitions?
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bb9f561571dbe8b88a5989c0dc9b33b4a3061e49
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 13:44:52 2023 -0800

    altos/draw: Add monospaced font
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2f68d82238ff869b76b554fd8de61e3b6d06e8f9
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 13:42:05 2023 -0800

    altos/draw: Move font files to subdirectory
    
    It looks like we might end up with a lot of these
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 126013bb10faeba31bb52aa72b272dbfc3afb9ce
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 13:21:24 2023 -0800

    altos/draw: Add more fonts
    
    Add our logo font and more sizes of Frutiger
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2e784b9e726a59f2aed71c20d96ebc94aa2d19fb
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 23:46:25 2023 -0800

    altos/draw: Add logo
    
    Captures the SVG logo polygons and allows them to be
    scaled to suit.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 331e2833e178a1a4b0400e1ea06e1e387009f245
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 23:45:25 2023 -0800

    altos/draw: Use float for polygon coords
    
    This makes polygons look way better.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 033e32989aab05fe6174a3db4a5eca4df07d7ab8
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 22:39:07 2023 -0800

    altos/draw: Make test drawing app emulate TeleLCO
    
    Draw some numbers for box and pad. Also allow display of a couple of
    polygons.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 994e8b9e62e561561e49f2cffb82e07fabdd25a0
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 22:38:33 2023 -0800

    altos/draw: Only cover ASCII
    
    Skip the rest of latin-1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 38ff7005463ae83bd662ad06434840327bde729d
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 22:37:16 2023 -0800

    altos/draw: Add poly fill function
    
    Fill polygons using non-zero winding rule.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f9e2f41feac8ccd4e02020cf672366b194d2d60d
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 25 19:22:58 2023 -0800

    altos: Fill in more of the draw code
    
    Get multiple fonts working, allow for variable-pitch fonts.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 459f421aa6d7f86db9bb35767af75eb75817f28c
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Feb 19 18:26:57 2023 -0700

    releasing 1.9.15

commit 38fac9fd1ebdc0900f598c859453b5fc8fc6b4a6
Merge: 94fdc596 6f1686d7
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Feb 19 18:24:56 2023 -0700

    Merge branch 'master' into branch-1.9

commit 6f1686d7a1de7543a844aa86a8c1e7968911a329
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 16 15:13:01 2023 -0800

    Version 1.9.15
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d2d7dc527f1168a344ea0f72770e487753f740c8
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Feb 19 17:50:40 2023 -0700

    ao-bringup: turnon and test scripts for TeleMetrum v4.0 & TeleMega v6.0

commit 213bb501970370d16642c2fc3f5bd9c0a5f9aadb
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 18 16:51:09 2023 -0800

    ao-tools/ao-flash: Use 'program' instead of 'flash' for samd21
    
    Switch to the program command, which has a 'reset' option, to get the
    device back to running after loading the boot loader.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c7161117ab85720776b2b964885a57053e3ff640
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 16 15:36:30 2023 -0800

    doc: Add TeleMetrum v4.0 to specs and 1.9.15 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6d7da481dbdb48729edbf41f2b87273f10511163
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 16 15:36:11 2023 -0800

    altos/telemetrum-v4.0: Add .gitignore
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f0eba09d4027d3d4e7a9c35980e405998b2487b1
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 16 15:35:29 2023 -0800

    Add TeleMetrum v4.0 firmware to releases
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 35c1102409ff1b68a4856748a40bff7861a2fdf2
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 16 15:12:24 2023 -0800

    Add TeleMega v6.0 firmware to release
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a8c3f09a162359eec40d05a875ca7a09c0efc457
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 16 15:07:20 2023 -0800

    doc: Add HW specs for TeleMega v6.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b780edfc970f67adde7c9b78671b9dab7eeced5f
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 16 15:05:27 2023 -0800

    doc: Add initial 1.9.15 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d5d835d65e909de24538ee0edb37d0ad0877f0c6
Merge: 4591878f 7e696108
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Feb 16 15:52:56 2023 -0700

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 7e69610859e88cacbc5801bcafecaf84b9f7f455
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 9 15:22:17 2023 -0800

    altos: Fix TMega v6.0 and v5.0 IMU axes
    
    Add documentation to each board in ao_pins.h to clarify
    the required sensor axis orientations.
    
    TeleMega v5.0 had flipped the 'across' axis sensor value signs
    incorrectly, so remove that.
    
    TeleMega v6.0 had selected the wrong axes for across and along, along
    is X and across is Y for this board.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b08930aa0f67a445bf2300f3cea07cecf513a2f0
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 10 17:58:08 2023 -0800

    altoslib: Hide internals of AltosIMU
    
    Make most of the variables private to prevent access to un-corrected
    data.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4591878f7179efc0b784d7358cf3f4063547fb7b
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Feb 14 19:00:29 2023 -0700

    altos: re-number csm85clio outputs 0..49 to match schematic and silkscreen

commit 7b24be27f67f95d909d19d767e4ac5376ea670cf
Merge: 58d13bd9 36ef74a9
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Feb 10 06:52:43 2023 -0700

    Merge branch 'clio'

commit 36ef74a9ce4d4b066c51b76c1155f6ee7811a6cc
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Feb 10 06:52:11 2023 -0700

    altos: add csm84clio-v0.1 firmware

commit 58d13bd9bd0af42ebb3770038cd531e6ca5e9d30
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 9 15:22:17 2023 -0800

    altos/telemega-v6.0: bmi088 axes were wrong
    
    X is 'along', Y is 'across'.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 589c1af82a9bccff46ecb3aa0a557b9216b818a8
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 9 14:54:19 2023 -0800

    altos/telemega-v6: Remove beep freq defs and use defaults
    
    These values came from the magnetic beeper on Tmega v5 which we aren't
    using.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9518da9c5296a0172ae214b90f03043c786d3e73
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 9 12:35:13 2023 -0800

    altos: Add .gitignore for telemega v6.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 94fdc596ec5177d8a5acb7cf40ecb44e605b605d
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Feb 2 12:53:51 2023 -0700

    ChangeLog for releas 1.9.14

commit 0d34cacb37ad37208bd0602364a0be660ddd12bc
Merge: e6a83e73 360aa73c
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Feb 2 12:52:01 2023 -0700

    Merge branch 'master' into branch-1.9

commit 360aa73cef6fd7b782c3559aa26b3e501ee72d70
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 2 11:33:35 2023 -0800

    Version 1.9.14
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit eb66d5f1121cbc7680a61539d97973482c4dae25
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 2 11:33:00 2023 -0800

    doc: Release notes for 1.9.14
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 015ebe291695d0588294a523b864aed73a5178c9
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 1 18:00:24 2023 -0800

    altos/drivers: Increase LCO receive timeout to 20ms
    
    Changes in the cc1200 driver appear to have sped up the transition
    from TX to RX enough that we now need to wait a bit longer for
    TeleFire to return a packet. Increase the 38400 bps timeout to 20ms
    and the 9600 bps timeout to 30ms.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fe99a50a7c1b4834193bbb73fbfd1b0e49b7ff45
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 1 17:59:28 2023 -0800

    altos/drivers: Use spi duplex to fetch register values
    
    We read register values during regular operation, so let's improve
    performance a bit by making this faster.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a2d18d43722355e834288b0b4c83b021218f15cb
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 1 16:29:42 2023 -0800

    altos/telefiretwo-v0.2: Get things building again
    
    This code got very stale and needed some config updates
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 05aacbd4a37d8bbe5b89664fc3630ffc4096ec69
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 1 14:14:55 2023 -0800

    drivers/cc1200: Don't disable cc1200 interrupts ever
    
    The driver now leaves interrupts always enabled, don't disable them in
    ao_radio_recv_abort as nothing will ever turn them back on.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e6a83e73b4b2c56b14853f1e717aeaa9f874728d
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Jan 19 22:57:39 2023 -0700

    releasing 1.9.13

commit 8e42773e7834638464b46495123dbdc2356032bf
Merge: a6c32739 7fe1408a
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Jan 19 22:55:56 2023 -0700

    Merge branch 'master' into branch-1.9

commit 7fe1408af6fd65c13cebf33d7bb7bf8517d8ce1e
Merge: 234b275d 5f007934
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Jan 19 22:51:27 2023 -0700

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 5f007934c12863b5df1adc8d286b20b3488b5a6f
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 17:28:36 2023 -0800

    Version 1.9.13
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 97e6f06783006f59dd596d4f3d741408a1e4e5b1
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 17:27:18 2023 -0800

    doc: Update copyright year to 2023
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1803c15b9d9110df9e54374b2576681835d6cd87
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 17:27:02 2023 -0800

    doc: Add release notes for 1.9.13
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 96181ff1e0d376d7a2c9519abbf4f346d8fd47ea
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Jan 19 22:41:24 2023 -0700

    doc: update EasyMotor behavior description for firmware 1.9.13 and later

commit 234b275db125304829d1859713388775fd3791db
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Jan 19 22:41:24 2023 -0700

    doc: update EasyMotor behavior description for firmware 1.9.13 and later

commit 22f9fb47d97ba13f6b30fab25bce552bccc91997
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 17:39:42 2023 -0800

    Disable TM v4.0 firmware for 1.9.13
    
    This will be in 1.9.14
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3021764629a438d1d1b0323a09d6fb2350ce1bfb
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 17:28:36 2023 -0800

    Version 1.9.13
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2689b30cdccba18d46505774aafc8e6119948191
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 17:27:18 2023 -0800

    doc: Update copyright year to 2023
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 399c85245542d95f05063fdd34939dc746f1ea2d
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 17:27:02 2023 -0800

    doc: Add release notes for 1.9.13
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 691869aa6c542999a4e915c23b6696451dd42f65
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 17:20:44 2023 -0800

    altos: Add makefiles for telemega v6
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e4ce0ce186b68497cfb14a400410fdd38aa93abc
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 14:04:50 2023 -0800

    altos/easymotor: Move pressure conversion code to ao_motor_flight.c
    
    This inline function uses a pile of constants which aren't defined in
    ao_pins.h, so move it to ao_motor_flight.c where it is used
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 28e4cb24e0f0ee5abf66c5a0466edfd0e31f4df0
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 13:20:56 2023 -0800

    easymotor-v3: Fix pressure to adc conversion to use reference voltage
    
    Wasn't taking reference voltage into account, which meant the computed values
    were 3.3 times too high.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7b40813fdafce4ebd635aceb4c32355339a4d98d
Merge: 026ab589 4c61c113
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 12:21:32 2023 -0800

    Merge branch 'easymotor-flight'

commit 026ab589d0ade3dd59d26888fffd8699ef534671
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 19 12:18:46 2023 -0800

    altos/telelco: Add some debug aids for TeleLCO event stuff
    
    Use (debug & 2) to select just event debugging.
    Add 'pretend' mode to cycle through all possible pad boxes.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ee49d3c202e1fee14328006e2beb2e774313de2e
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 27 21:33:14 2022 -0800

    altoslib: Add TeleMega v6 support
    
    New sensor (bmi088) support, plus other changes as needed. Also found
    some places missing TeleMega-v5 support?
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 96444c1e0e6a1c179d9695b454012d0b16d0a76c
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 27 21:32:39 2022 -0800

    ao-tools: Update ao-eeprom for TeleMega v6
    
    Add new log file format; no other changes needed here.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 95d39febfa9b6c6f2696fb1b47cf72aa808ec7c9
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 27 21:31:38 2022 -0800

    ao-tools: Fix buffer overflow in lib/ao-hex.c
    
    ao_hex_file_create allocated a buffer too short when writing EOF.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 08f13d3301bfcf9a5b9b566df4ffd4ed33f236d0
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 27 21:30:13 2022 -0800

    altos: Split AO_LOG_NORMALIZED support out in telemetry code
    
    This avoids needing per-driver changes to the telemetry code by using
    the normalized data gathering techniques.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0d16160ce2207fd248c2d93a4f7a77a05176204d
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 27 21:29:12 2022 -0800

    drivers: Add AO_LOG_NORMALIZED support to BMI088 command
    
    Make this driver work in monitor idle mode
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ad4679dd0bd2d759f708a6ab6d0425eb1cbde7c1
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 27 21:01:06 2022 -0800

    src/drivers: Ignore printf warnings in ao_aprs.c
    
    This code uses sprintf to generate the tnc buffer, but the compiler doesn't
    really understand the value limits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0c34739489b23e729cd7d35c5ec74416fb51164a
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 27 20:24:51 2022 -0800

    doc: Update docs for asciidoctor-pdf version 2.x
    
    Some of the theming stuff changed
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fc042fa0a77d808fa7670e213e7e0c273200a043
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 17 18:01:01 2022 -0800

    altos: Add TeleMega v6.0
    
    Like TeleMega v5.0, but replaces MPU6000 with BMI088
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9d515a031d388bec41583f0335e97ecd78c75864
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Aug 27 17:06:58 2022 -0700

    altos: Add BMI088 test framework using Nucleo32 board for stm32f042
    
    This allows a BMI088 chip to be connected to a nucleo-32 board
    with an stm32f042 chip to be tested.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bc0adb3723e9d383c8a379850c4cb0650003772e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Aug 27 17:05:51 2022 -0700

    drivers: Add BMI088 driver
    
    Supports the Bosch BMI-088 3-d accel/gyro device.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 560767497057c08a6fc3bc24aaba23a8d6192259
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 5 19:26:42 2022 -0800

    altos: Add timeout in MS5607 get_sample code
    
    MISO is supposed to rise when the sample value is ready, but sometimes
    we miss the interrupt which should be generated. I spent a day
    attempting to fix this, but was unable to make it 100%. Instead, add a
    10ms timeout, which is longer than the sample time (8.2ms), and then
    read MISO directly. If the interrupt fires, we'll read a bit sooner.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4af1fba120644f38e91bae283c9ff2ef32c2e49c
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 5 19:51:02 2022 -0800

    altos/stmf0: Add ao_spi_put_pins for MS5067 driver
    
    TeleMini needs this on stmf0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2ea3f551b3c4649320efe2fd999f01012bca03bd
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 5 19:29:28 2022 -0800

    altos/stm: Add ao_spi_put_pins for MS5607 driver
    
    This function re-configures the GPIO mux to disconnect the SPI block
    from the pins driving the MS5607.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4c61c11322b57ed1910bba33bd2ce11a368e6583
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 4 16:33:02 2022 -0800

    easymotor-v3.0: Clean up build bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1a467bf13485649419e1205ee788ef0d58b42d01
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 4 16:32:05 2022 -0800

    easymotor-v3.0: Use motor pressure to trigger data logging
    
    Use this instead of acceleration so it can be used on the ground as
    well as for staged flights.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit da253f1ee9510fba93ddf5c1895570eb5081af46
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 4 14:17:58 2022 -0800

    altos: Add timeout for MS5607 ADC conversion
    
    The MS5607 should signal conversion done by pulling MISO low, but in
    case it doesn't, add a 10ms timeout to wake up after the conversion
    should be done.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c2eb61af64b8f38d88fff885f0fccdc0100ab233
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 26 09:57:33 2022 -0800

    altoslib: Add notes about updating ao-eeprom for new product
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c1708f3fa4ff412da8817ba0fa58d05fe7ef44f5
Merge: 414ad269 999cc72a
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 26 09:52:37 2022 -0800

    Merge branch 'master'

commit 414ad2696bbe2a2f245ae7bb2ec8f57bc8cc0097
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 26 09:48:19 2022 -0800

    ao-tools/ao-eeprom: Add support for TeleMega v5.0
    
    Same as TeleMega v4.0 (ao-eeprom doesn't do much with imu data)
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 999cc72af08ebf9ce0fd44ed00b42a2cd1a53594
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 20 15:57:44 2022 -0800

    Add TeleMetrum v4.0 to release files
    
    Releasing
    altosui/Makefile
    altosui/altos-windows.nsi.in
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6cb7457b87913d5f18b6b87d401b2782d8f665a4
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 20 15:56:06 2022 -0800

    altoslib: Handle TeleMetrum v4.0 in idle mode
    
    Handle config data and idle fetch stuff. Note that TM v4.0 differs
    from older versions a bit as it stores config data in the SPI flash
    chip, not in the SoC.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f80839cec9fef10e182901e08dec81a41c28f34b
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 20 15:31:27 2022 -0800

    altos: Enable telemetrum telemetry for telemetrum v4.0
    
    This configuration could be done better ...
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a616233dcdb3bcc1ac2b16436f3c6a0f3c746a63
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Nov 18 13:06:12 2022 -0700

    doc: add a link to a reference on ARES/RACES use of PowerPole connectors

commit abcc8ca13005155b11d2316cf88be8cfa0294f44
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Nov 18 12:51:08 2022 -0700

    doc: add a warning to TeleLaunch docs about siren volume levels

commit 4ff9f3271f9d20603626c18ee16b20e50c579ddf
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 23:37:29 2022 -0800

    altos: Make sure APRS packets are reasonably separated
    
    Don't let them come too close together.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b4960336c0ae960bee40fdd337e58fcc8846ac87
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 23:35:40 2022 -0800

    altos/ms5607: Fixup ms5607 changes for other chips
    
    A couple of chips don't bother providing duplex, so allow for that.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6c3f98370a7244a053f8e4858b8f136e2fd659b2
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 23:34:34 2022 -0800

    altos: Add ao_gps_utc_tick
    
    This indicates which tick is associated with the UTC time found
    in the current ao gps data
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ce20ccccdf9464877a73f6ff2a5f9ce91f88fc27
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 23:33:29 2022 -0800

    attiny, stm32l0: Note that these chips don't support spi duplex
    
    This makes the ms5607 driver use send/recv instead.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1bf40aa4c9ea9844046b7b84342225274622d7c2
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 22:48:28 2022 -0800

    samd21: Save interrupt pin status before enabling interrupts
    
    Make sure we capture the correct external interrupt pin state before
    anything changes.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8c0a7dfa4ba4b46dabce0ac7daecf0edd5fb6b62
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 22:47:00 2022 -0800

    altos: Avoid modulus in task queue on parts without idiv
    
    Cortex-M0 parts don't have a hardware divide, so doing a modulus
    to compute task hash indexes is super slow. Avoid that by making the sleep
    queue a power of two.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bf51520898fb30b289b2e03b31a1719c172cf422
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 22:38:12 2022 -0800

    altos/cc1200: Simplify interrupt handling
    
    Use PKT_SYNC_RXTX for both packet send/recv signaling. This avoids
    needing to flip the interrupt sense around between tx and rx, allowing
    us to leave interrupts always enabled which avoids adventures on
    samd21 with interrupt configuration.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9ed81c072f0c4c2044a284176d66be00a1439a40
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 20:44:38 2022 -0800

    telemetrum-v4.0: Correct beeper configuration
    
    Beeper is on PA16, which is TCC2/0 with config E
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a69c3009a0583d04d1f52a88f4b0135b1944ee35
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 19:39:18 2022 -0800

    telemetrum-v4.0: MS5607 doesn't share SPI controller
    
    The PRIVATE_PINS value is a bit misleading.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c450b5cd80534d067a760e5f0768f39a20604761
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 19:38:56 2022 -0800

    fixup for exti restore
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c82b214e34763e0206cd676cae2d82e735ef2576
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 19:38:09 2022 -0800

    samd21: AO_SPI_0_PA04_PA05_PA06 is FUNC_D
    
    Not FUNC_C
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 479bf2d88544f7f848ae42f77b0fbb74ca61ca27
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 19:37:23 2022 -0800

    samd21: Restore pin cfg when exti is disabled
    
    Instead of clearing the pmux, set it back to the previous value as is
    needed by ms5607.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1cdcaea940864bbe531b32f228bc169b50f4d3a9
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 19:36:52 2022 -0800

    samd21: Limit SPI baud value to 1
    
    Keep speeds slow enough
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4cb051d8ec1cdd7fd9cb87129c7425feb21f284e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 19:36:10 2022 -0800

    samd21: PA20 maps to SERCOM3.2 not SERCOM3.3
    
    Flip the DIPO config around for AO_SPI_3_PA22_PA23_PA20
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5c182ab460fef614e2b987c808d4b4e2c4240a4f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 12 19:35:26 2022 -0800

    altos/ms5607: Use duplex for fetching data
    
    Much more efficient than send/recv
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 997d68e13c32118c665fa273c515726c5ab2ce6b
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 10 11:47:39 2022 -0800

    telegps: Copy altosui 'beep feet' bits to telegps
    
    Yeah, this is cut&paste coding. Sorry.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit af241f03c5ec286f536c367b8cd27e9083af792b
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 10 11:40:29 2022 -0800

    telemetrum-v4.0: Set USE_SERIAL_1_STDIN to 0
    
    This makes sure the serial driver knows how to manage this port
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 53a9d3b3c2d9fb04d8f5fba42ce19cd13dc65f28
Merge: 31f32f20 543b6d08
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Nov 10 12:34:49 2022 -0700

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 31f32f200c3f64b42617638eb2fc390857d2b2e6
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Nov 10 12:34:12 2022 -0700

    ao-tools: return ao-flash-lpc operaton to "full speed"

commit abd437a372932dcc1aafe939e65919a50c203af0
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Nov 9 16:29:56 2022 -0800

    metro-m0: Add GPS support
    
    Plug a ublox GPS module into D4(tx)/D3(rx)
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4bd22c0cf3fc0358cff263e63ad2cc788be2bb14
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Nov 9 16:29:13 2022 -0800

    samd21: Leave serial RX interrupts enabled
    
    Just discard characters in the ISR. This avoids complex management of
    the enable bit.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3b0e4fd74d6c6e5ca972d7341c7155663c230e86
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Nov 9 16:28:21 2022 -0800

    drivers/ublox: Clean up some debug mode code
    
    Not used in production, so we didn't catch a couple of type errors.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1dfa369085208a37f1b9c4d42ca85c261abbb1f2
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Nov 9 16:02:55 2022 -0800

    telemetrum-v4.0: Remove unused file
    
    Not sure what 'telemetrum.c' was supposed to do, but it's not used.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 543b6d08617fccc55e7dab142017969e5b565690
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Nov 9 09:06:17 2022 -0700

    altosui: force Locale.ROOT during CSV export to avoid commas in decimals

commit c035f20392828c60da75d092eea4d64736316c7b
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Nov 9 08:27:28 2022 -0700

    TeleMetrum v4.0 work in progress

commit 09a2575840f95f9bce6c1da25b04d297455b1487
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 8 16:25:35 2022 -0800

    telemetrum-v4.0: Add beeper and fix ADC defs
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9c556954d25daa6fda6771ca6d011d76b5d17524
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 8 16:20:07 2022 -0800

    metro-m0: Hook up ADC sample from A pins
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7bcde16c96f05595969bceef76905aa2e285c66b
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 8 16:18:57 2022 -0800

    samd21: Hook up AltOS style ADC
    
    Can't use DMA; samd21 only does ADC in continuous pins. ISR per ADC,
    manually step through.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5ca0ed94f30943952b9c63ee558733d37c896b5f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 8 16:17:58 2022 -0800

    samd21: Hook up AltOS timer functionality
    
    Need to run the data sampling stuff.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bf793f94a2218b42794fa1ae11babab8cd565a66
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 8 16:17:14 2022 -0800

    samd21: Move DMA channel defs to ao_dma_samd21.h
    
    This way if we need to use DMA for something else, we've got
    a central place to set things up.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 925d1cfb19da373249af716a6d7adc6d7450ec25
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 8 16:16:40 2022 -0800

    samd21: Get beep code working
    
    Only supports TCC currently.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f354d17c7f15dcbc8c5b07fe2f950df3cb4552b2
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Nov 7 22:23:44 2022 -0800

    metro-m0: Demo pin interrupts
    
    Prints 'pressed' whenever D0 goes low.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 13f0b70a6346c9cfe04e5c494d3f34aa92e0db8b
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Nov 7 22:22:26 2022 -0800

    samd21: Wire up pin interrupts
    
    Uses the external interrupt controller. Careful about pin mapping.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ca76309700a3f6ec9775f6e6cce5915dcb4515c9
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 19:31:05 2022 -0800

    altos/telemetrum-v4.0: It links
    
    Still much work to do, but at least it links with most
    of the pieces in place.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7ed85dc90345baec2c4143b75c4be819bb6a4d56
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 19:30:38 2022 -0800

    samd21: Stub out beep code
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 62381d8582749dc2672a65cb6e7c5b8a404a3b45
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 19:30:27 2022 -0800

    samd21: Stub out exti code
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b24faa163ede640305f0660c30d84e558bd2b909
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 19:29:41 2022 -0800

    samd21: Shrink default stack to 512 bytes
    
    Kinda needed to get TM v4.0 to fit.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6a44cf7f77f0b2e098ef1afc4628898234bf7fb6
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 18:33:45 2022 -0800

    altos/telemetrum-v4.0: Almost building
    
    Pin config looks good now, need to get beep and exti drivers
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f3d95af6866018bf8d472bae192907efcbe5aaa1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 18:33:14 2022 -0800

    samd21: Get serial driver building
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a06c84a27bd760039c522460f79bfe242d2d22c8
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 18:31:42 2022 -0800

    samd21: Add SPI configurations used by TM v4.0
    
    SPI 0 on PA04 PA05 PA06
    SPI 3 on PA22 PA23 PA20
    SPI 5 on PB22 PB23 PB03
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6e895d310224e612f0294bc953e24ffbe8d29437
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 18:31:16 2022 -0800

    samd21: Get ADC code compiling
    
    This probably isn't complete yet, but it builds
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 79613a403cbb545672afc7b169b3a833d587903a
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 18:30:31 2022 -0800

    altos/ms5607: Use ao_gpio_set instead of stm_gpio_set
    
    The former is architecture independent.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 30149c4764984972eb5d482cfc51657d4ed09ed1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 17:47:57 2022 -0800

    metro-m0: Configure on-board SPI flash part
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9481e33348f098f3df73006641b9a18a04f2c482
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 17:46:56 2022 -0800

    samd21: Add ability to use arbitrary pin configs with SPI
    
    This embeds the DOPO and DIPO configs in the address
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5d18ef0a25248f0192c3b539cad36d3de60a6f32
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 15:31:50 2022 -0800

    samd21: Macro-ize the DMA register settings a bit
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 61a3971b7bda2c5a165088befe55467c09292090
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 15:12:33 2022 -0800

    snekboard: Need DMA for SPI now.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 183e1bbde14cc33f1e9cc3857dbfc60d2c0c5b82
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 15:11:31 2022 -0800

    samd21: Use DMA for SPI send
    
    Appears to work even
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e5c84201f2a8968ed60941edbc6756c7dbda8a06
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 15:10:31 2022 -0800

    samd21: Fix value defines to be unsigned long
    
    This makes the compiler happy
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cbff1483ae7469d3961341a1cfdfeb8b4bb557c1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 15:09:55 2022 -0800

    samd21: Avoid divides in boot loader
    
    The divide code is huge and overflows flash.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4839569abef7f1d9592a9da5d40fe67dcc048ce1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 15:08:56 2022 -0800

    samd21: Fix up DMA driver
    
    Surprisingly few changes, just some function signatures and a few bit
    twiddles.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4be4ffe72c5f678a66658e9e61d3cfac7f20a9b3
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Nov 6 15:07:46 2022 -0800

    altos: Add metro-m0 port for SAMD21G18 testing
    
    Useful as a test target
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 13a9247afabfaf93ebf46f9a33862864d2772074
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 5 21:05:13 2022 -0700

    samd21: Configure ROM/RAM values per device and provide linker scripts for each
    
    SAMD21 has 4-32k of RAM and 32-256K of ROM
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 608640858d0d02ac06fca22aa3b9db9c89733adb
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 5 20:53:23 2022 -0700

    This is what I'm using locally for flashing samd21 parts
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fdc1facebf1d2818394b155a91b68e06db198728
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Nov 5 15:18:27 2022 -0700

    snekboard: Add samd21 SPI test function
    
    Just sends 'hello'
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a54f4fae343b7524db508dc1a29d36847a2decde
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Oct 23 16:33:28 2022 -0700

    altos: Get SAMD21 SPI driver working in non-DMA mode
    
    Only sercom0, and only with fixed pin configurations
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ba28c5e7f6aa3d41abc1f598dbc3c2689c9bef9c
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Nov 4 03:15:08 2022 -0600

    ao-tools: increase robustness of turnon_easymotor

commit 1066699ea2e0377af67b3b0c32ec1b023dea0719
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Nov 4 02:56:31 2022 -0600

    ao-bringup: final production test script for EasyMotor v3

commit a2fdfd4f9c92c1d3331f8be0e15ae19209b4ee15
Merge: 28fd8e6f 4a1f441b
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Nov 4 02:41:43 2022 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 28fd8e6f157c37b08b6a17dae664597f01e8aa8a
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Nov 4 02:41:11 2022 -0600

    ao-tools: new ao-test-pressure utility for bench testing EasyMotor

commit fddda6bbe5accb4868ee9bbc337937147da92ad8
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Nov 4 02:40:53 2022 -0600

    update Releasing to include EasyMini v3.0 loader

commit bcc15fb429724956e72f06a4f4b1002b1def7a94
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Nov 4 02:39:34 2022 -0600

    ao-tools: don't do 'm 0' after 'E 0' since EasyMotor doesn't support it

commit 4a1f441b746d4c9d1cb4a52401d76b5e81ba6f48
Merge: e5feac1a d80c1317
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Nov 2 11:34:35 2022 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit e5feac1a3db00816e82cd6b1b4dbde62e40d16a6
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Nov 2 11:33:29 2022 -0600

    EasyMotor v3 production script working, sans pressure input test

commit d80c1317f596f73d192e6fbb33c3579d54802182
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 1 13:00:22 2022 -0700

    Add option to beep max height in feet rather than just meters
    
    Available on all products, plus config UI changes.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d999b56de8775cd5c2f98f913e555febd92357a9
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Nov 1 10:41:03 2022 -0600

    easymini v3.0 production scripts working

commit 274522bc26910051e30aaebd78e96794161b87e8
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Oct 28 23:43:40 2022 -0600

    update Releasing with tweaks made during 1.9.12 release process

commit a6c32739c75d8c0369617f575a83d70031faf36a
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Oct 28 23:10:24 2022 -0600

    updating changelog for 1.9.12 release

commit bdabc6814b066a9b17a6557910f21b1ed03de3f0
Merge: 37dda254 c5e8826a
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Oct 28 23:10:00 2022 -0600

    Merge branch 'master' into branch-1.9

commit c5e8826aa260d4aca492d684b94adc7eea0254eb
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 21:07:15 2022 -0700

    Version 1.9.12
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 140a84ba8ac1e6548ab63ff586cf214d87f727a4
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 28 21:57:02 2022 -0700

    Auto-detect windows signing stuff
    
    Still build installers even without signing key
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7c4f9aa882256182485f7f2086221841368ddfc7
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Oct 28 22:28:40 2022 -0600

    update Releasing to include reference to jsign as a release dependency

commit 5fd95471791842234a1840477c55ba175fff5a8c
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Oct 28 22:20:03 2022 -0600

    fat: sign Windows installers with our new code signing certificate

commit ef969428f293e5155c00af514ce0782a7cdf25d5
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Oct 28 21:47:04 2022 -0600

    doc: include reference to Loki Research closures in motortest document

commit 74c73edc93110874636b4bbbe01f9f0327230b50
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 21:35:55 2022 -0700

    altosuilib: Remove some debug printfs
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 055803ceca56065ea2253ab3eab20a5defd00135
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 21:21:28 2022 -0700

    altosui: Ship motortest.pdf with packaged builds
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f57cba7dd193c5608be187d3d81781215ab38a44
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Oct 27 22:31:34 2022 -0600

    doc: additional improvements to motortest manual

commit f249b61f403b8d2a042641c5ebe0fe4a720ae436
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Oct 27 22:20:19 2022 -0600

    fix mailing list reference to use mailman3 path

commit 975e3133e25c6fb5ea0c0b2487ea34e528660a45
Merge: 05278307 bda33b76
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Oct 28 21:49:16 2022 -0600

    Merge branch 'samd21' of ssh://git.gag.com/scm/git/fw/altos into samd21

commit edef072dd5cffdbd3e8346719a81808b17bdc570
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 21:05:10 2022 -0700

    Add EasyMotor v3 firmware to release
    
    Remove EasyMotor v2
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a4be94096281536db12378c6fee66ffb774a3eac
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 21:01:19 2022 -0700

    doc: Add preliminary 1.9.12 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 12b03f494462bdf8c076ea474176ec14a18026fa
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 21:00:47 2022 -0700

    doc: Add specs for EasyMini v3 and EasyMotor v3
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2fdf4e798bd67b0d7e96f2b8fff49915b71b089e
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 21:00:07 2022 -0700

    altosuilib: Limit EasyMotor graphs to motor pressure and accel by default
    
    Change which axes are turned on when the graph is created.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 76f0fe177a38bd16e346edf0808ee8fca343f1a2
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 20:59:20 2022 -0700

    altoslib: Map log format back to USB device id
    
    This lets us use the device_id for both telem and eeprom files.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 14a65822fa2a8bb120638633b068847c8a0197b9
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 19:39:16 2022 -0700

    altos: Allow 'c a 0' without Syntax Error
    
    Need to clear error after checking for second value in accel cal
    command.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7172638c3810f6c39e4262fa80edf5ef0dec62d8
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 19:25:02 2022 -0700

    easymotor-v3: Fix beeper config
    
    the branch had different beeper config code than mainline.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 898eeb609aa7eb078161a78ac48c727a5255a51c
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 19:19:59 2022 -0700

    ao-eeprom: Handle merge conflict from easymotor-v3 branch
    
    Had two copies of the new easymotor log format parsing bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 611ef4497b97bcf5239d6bc2ee13eeba9efd1503
Merge: 1e694ad4 083464b5
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 19:16:39 2022 -0700

    Merge branch 'easymotor-v3'

commit 1e694ad4f67735585f0897e2dffac755868f3150
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 17:50:36 2022 -0700

    Add EasyMini v3.0 firmware to release
    
    Followed instructions in Releasing
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a81f5a78172663376ad9687976b9821a755d5e31
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 27 17:43:08 2022 -0700

    altos: Allow setting telemetry interval to zero without crashing
    
    Setting telemetry interval to zero means disable telemetry, but the
    code was using the zero value to compute a bunch of packet delays,
    which involved dividing by the interval value causing a crash when it
    was zero. Skip those subsequent computations as they won't be used
    anyways.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bda33b7697456516c3022f91d2119a56448b42bb
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:34:56 2022 -0700

    altos/snekboard: Indicate that USB is used for stdio
    
    This isn't the default for some reason?
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 59f08a3079ccecaeb91b637e7d311f3f98d10c42
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:34:11 2022 -0700

    altos/samd21: Automatically erase flash when writing
    
    Need to erase pages before writing them.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f7e6cbeaf3e84935b38da8605a6d5bb702eff3a5
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:33:09 2022 -0700

    altos/samd21: Get USB driver working in AltOS
    
    Make sure it deals with the stdio mux, enable the clock for the GPIO
    device.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0585dd012a9f76f1ad0f3a85d03075125704dfd3
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:32:35 2022 -0700

    altos/samd21: Add register definitions
    
    This adds symbols for all of the device registers.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c4a63617f0eb825a295ae8ee1ee0caf4580b7a13
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:31:27 2022 -0700

    ao-tools: Add ao-flash-samd21 script
    
    This takes an .elf or .ihx file and flashes that to a SAMD21 based
    board using openocd. Note that you must have a hacked version of
    OpenOCD for this to work via the ST-link device.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4d116df20ae2d13bbc29344a91e557448cd8c19b
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 13:57:08 2022 -0700

    altos: Add sample samd21 application for snekboard
    
    This runs a primitive application and flash loader on snekboard for
    samd21 development.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c59892cd337162c63e5d7ba8e8eec779d201022d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 13:55:43 2022 -0700

    altos: Add SAMD21 bits
    
    Brought back from snek, these bits provide Altos support for the Atmel
    SAMD21 family of chips.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3a7ae9e964c9554a667a09d6b437fef136bc0fa0
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 13:55:04 2022 -0700

    altos: Use --gc-sections
    
    This allows the linker to discard unused functions.
    
    Don't use -ffunctions-sections and -fdata-sections as that eliminates
    several optimization opportunities and increases code size.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1523a986a7c2e8402c628e2697e44fe6281c164e
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 13:54:24 2022 -0700

    altos: Switch LED pin number to 8 bits
    
    This assumes each port has fewer than 256 pins and avoids some
    compiler warnings
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 48a8ae2d38ecad5aa84b2158045c6a2fd8abe5ab
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Oct 23 16:48:05 2022 -0700

    altos: Increase AES IV buffer to hold maximum AES state
    
    The compiler emits warnings if this buffer is only 16 bytes. I'm hoping
    that's because the max key size could be 256 bits instead of 128 bits?
    
    In any case, this makes the compiler happy.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 05278307f5e9fd5f8b1a53078e6f3b125785b019
Author: Bdale Garbee <bdale@gag.com>
Date:   Sat Oct 15 21:40:50 2022 -0600

    first stab at support for TeleMetrum v4.0

commit 01811a649548987d3c5c29ca13725717d090502b
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:34:56 2022 -0700

    altos/snekboard: Indicate that USB is used for stdio
    
    This isn't the default for some reason?
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 38a40c850716c545004dae01412b3350e5ef8cfd
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:34:11 2022 -0700

    altos/samd21: Automatically erase flash when writing
    
    Need to erase pages before writing them.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bd088d263172dbe9ffe399a93a836cac26a37708
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:33:09 2022 -0700

    altos/samd21: Get USB driver working in AltOS
    
    Make sure it deals with the stdio mux, enable the clock for the GPIO
    device.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4a6a5de714f346b7c57c77e5f6712d39c2042479
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:32:35 2022 -0700

    altos/samd21: Add register definitions
    
    This adds symbols for all of the device registers.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit be0a7f000250704bcdbad82aa4ef4d9966fc6307
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 17:31:27 2022 -0700

    ao-tools: Add ao-flash-samd21 script
    
    This takes an .elf or .ihx file and flashes that to a SAMD21 based
    board using openocd. Note that you must have a hacked version of
    OpenOCD for this to work via the ST-link device.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c869985188ce9d28c332e449b36c4c88077cd587
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 13:57:08 2022 -0700

    altos: Add sample samd21 application for snekboard
    
    This runs a primitive application and flash loader on snekboard for
    samd21 development.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5e7e4303f161e38ac2d84110dccafc67b3aa7fc8
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 13:55:43 2022 -0700

    altos: Add SAMD21 bits
    
    Brought back from snek, these bits provide Altos support for the Atmel
    SAMD21 family of chips.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 643a1f736d2e57c577458d0e4d2948718d90b301
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 13:55:04 2022 -0700

    altos: Use -ffunction-sections -fdata-sections
    
    This allows the linker to discard unused functions.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c1f7bf876a67dc176a7a24b241c6dd3fe780082d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 25 13:54:24 2022 -0700

    altos: Switch LED pin number to 8 bits
    
    This assumes each port has fewer than 256 pins and avoids some
    compiler warnings
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3735e1eb27afb873d60164a79a9e2769dc92b3a3
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 24 15:54:20 2022 -0700

    easymini: Elide symbols from combined .ihx file
    
    Also add combined hex file to easymini v1.0 for testing.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d299191a298f6b6ffeadff15334738810062cf58
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 24 15:53:04 2022 -0700

    ao-elftohex: Add '-n' option to elide symbol table from output
    
    The symbol table is a non-standard Altus Metrum hex file extension;
    add this option to allow use with standard hex file tools.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit dc4de8365de5829b587a845e0517e8c5fc8c9e29
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 19 09:20:23 2022 -0700

    easymini-v3.0: Create combined .ihx file for testing
    
    This doesn't set the serial number, so it's not useful for production,
    but it should at least provide an easy way to check a board.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ed795c24e6269a10e74b9bc3c385e787bcc230fe
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 19 09:09:04 2022 -0700

    ao-elftohex: Allow multiple elf files to be merged together
    
    This allows combining the flash loader and core firmware.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1d963cf10f3f54f77a6edf8e7843f70c0268cd31
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 19 08:37:31 2022 -0700

    doc: Update call sign
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 065c60d38f38343bd1f319a87f6b50367a3abbe3
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 4 21:05:47 2022 -0700

    altos: Document easymotor record length
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 681638032041efcb05b9623e2a0332ca4e2d0958
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 4 21:05:25 2022 -0700

    ao-eeprom: Add easy motor support
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 41cf6f6f65681961ed98a59b9fc9da4fe5abef5a
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 4 21:04:28 2022 -0700

    altoslib: Replace EasyMotor v2 code with v3
    
    No v2 boards remain in usable condition and we didn't create a new log
    format value for v3, so just replace the v2 code with v3.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 37dda2541ce440a40fcd4dc8387f7cb1cd3f0816
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun May 29 21:08:03 2022 -0600

    releasing 1.9.11

commit 7904b36eaae2468d76f2627bebd86b663afea1f8
Merge: 8970d45e 4e237bd4
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun May 29 21:07:44 2022 -0600

    Merge branch 'master' into branch-1.9

commit 4e237bd43fef1858f88ff8f8750759e16442ea7e
Author: Keith Packard <keithp@keithp.com>
Date:   Sun May 29 17:50:47 2022 -0700

    Version 1.9.11
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 922a6e4f5c79fe46c1dca4df42c1c97e67dc7d68
Author: Keith Packard <keithp@keithp.com>
Date:   Sun May 29 17:48:01 2022 -0700

    doc: Update copyrights to 2022
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 019884004098adfc6e9f285d127a791f4204b180
Author: Keith Packard <keithp@keithp.com>
Date:   Sun May 29 17:47:41 2022 -0700

    doc: Add release notes for 1.9.11
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ce3e42c286755f3c4e1ee6dedc87e15a76343a37
Author: Keith Packard <keithp@keithp.com>
Date:   Sun May 29 17:46:43 2022 -0700

    doc: Document 10mw limit configuration
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d2ec815a17e9327414bab7ea09ed483c4f47f460
Author: Keith Packard <keithp@keithp.com>
Date:   Fri May 20 16:20:13 2022 -0700

    src: Add easymini-v3.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d95995ec702a891884f353cf2078d7ed3261c5c2
Author: Keith Packard <keithp@keithp.com>
Date:   Fri May 20 16:20:32 2022 -0700

    lpc: Make beeper configurable
    
    Need to set the port, pin, timer and channel values
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 03753fbddfbc82f18b2e4527a2e3afc58ea972f4
Author: Keith Packard <keithp@keithp.com>
Date:   Fri May 20 16:41:19 2022 -0700

    lpc: ADC 5 was busted
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6edf62c6a1f41fa5cd698067d2327b4847708cc8
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 4 17:06:36 2022 -0700

    ao-tools/ao-eeprom: Dump converted info for F packets
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0e4fb5c9bc33bb6d2a337f89daec4e6bb94cd8d8
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Apr 12 11:13:44 2022 -0600

    doc: add an appendix with examples for configurable pyro channels

commit 083464b52c835c09a66c06a87246fcd138748a5d
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Apr 9 22:38:28 2022 -0700

    ao-eeprom: Add EasyMotor decode
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 61b837129a1b1bbf17413957006fa31a305f6247
Author: Bdale Garbee <bdale@gag.com>
Date:   Sat Apr 9 22:50:21 2022 -0500

    recognize EasyMotor-v3 too

commit 9cded6d2b2888b6fd1dbcb08d7404fbc8f52ba60
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 6 23:29:31 2022 -0700

    altos: Add EasyMotor-v3.0 to regular builds
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3a2adf8011237852187046a551216736bd1e6bbb
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 6 23:28:40 2022 -0700

    lpc: Shuffle more bits around for flash loader
    
    Having a fixed value at 0x2fc means splitting flash and trying to make
    enough space on both sides. Sigh.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 72d0c00a063338642a3448f39b0308751285e5ee
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 6 23:20:03 2022 -0700

    easymotor-v3: Increase ADXL spi speed back to normal, remove delay
    
    All done debugging, it seems to work on EasyMotor now.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 40a56ed2b5af30c93daa74a15f21e7c8b4cb2a1a
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 6 22:45:41 2022 -0700

    lpc: Add SPI mode support. Use for ADXL375 on easymotor
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 434e98d39a19af9c3cf52cba041091f190972a83
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 6 22:32:03 2022 -0700

    reduce adxl speed to 100kHz
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c6a7ea9168f1669840eef0fb080759968f4a2f97
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 6 22:31:39 2022 -0700

    Disable adxl debug, set long delay
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b930b52922a1bbb34cb3fda67c2e9b4695a7330f
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 6 22:14:32 2022 -0700

    altos: Fix ADXL375 SPI mode definitions and usage
    
    3-wire mode is 1, 4-wire mode is 0. Fortunately, I also messed up the
    shift value, so the 1 got shifted on top of one of the fixed-value bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c49bd3cb0c31a51fae79ddc92237cc309be9a242
Merge: d225adc3 b140da92
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Apr 6 22:51:13 2022 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit b140da92536d7c48ba37868f1c2afce7bb86dfdb
Merge: 1d208c95 302e9b8f
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Apr 5 17:55:06 2022 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 1d208c9509f03f7e2c913abe5c0dd78ef0083c0f
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Apr 5 17:54:32 2022 -0600

    use correct test script for v1.0 easymega

commit f35d18ca773a109fea572ee1e7134bdc5c4bce14
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 4 14:15:17 2022 -0700

    lpc: Attempt to make beeper generate correct tone
    
    The timer docs are confusing; I can't tell how the PWM configuration
    works.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6659ec1002da325588a631d9c43a7a9b9a4dbfe3
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 4 01:21:44 2022 -0600

    fix SPI index definition

commit 16004c790189bc439285b8afb599ae2b02a13c95
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 4 01:14:36 2022 -0600

    Revert "adxl375: Disable spi duplex"
    
    This reverts commit 21e6dad505677a6b2e19844638ea5b09038b04ae.

commit 3fb95b34a85fb79713c258937a9005faf6f89a03
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 4 00:00:00 2022 -0700

    adxl375: Disable spi duplex
    
    See if this fixes LPC
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 06ec7480b669a5bc007d82fbdbe56e4a1a4cf68c
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 3 23:53:24 2022 -0700

    easymotor-v3: enable adxl debugging
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5740b82174c70888f6f047917574567bcbca58dc
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 3 23:31:44 2022 -0700

    lpc: Fixes for timer configuration
    
    Missed one magic value to make the beeper configurable

commit a6dc1a7098e44bd1b3250b12ca6fda3bb626cbb1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 3 23:23:51 2022 -0700

    lpc: Fix name of timer ioconf constants
    
    All iopin configuration values are per-pin, so they all need to have
    the pin name included in the name.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 741796d39437e850fc255b8b324530bb988b0797
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 3 23:23:51 2022 -0700

    lpc: Fix name of timer ioconf for pio0_1
    
    There are lots more...
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9df0b79ed7d66369b31dbdc7acde8e23f5f8612e
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 3 23:18:28 2022 -0700

    lpc: Stick magic value at 0x2fc to let us use PIO0_1
    
    This pin is used by the built-in ROM boot loader code to force
    ISP. That keeps us from attaching anything that might be connected to
    ground.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4b15c98449da54bae8c4efbfddc7734aeaa43b04
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 3 22:17:15 2022 -0700

    easymotor-v3: Configure beeper
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2e585a947c7f07fe204e50fc47beb1cc1e479718
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Apr 3 22:16:48 2022 -0700

    lpc: Make beeper timer configurable
    
    Allow use of any 32-bit timer.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 243da063ef0dae656f940eb81ada55867924406f
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 4 00:19:42 2022 -0600

    get ram usage under control, etc

commit 987ad2eb3a89ad920988d38fe8068dda1cd6f16d
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Apr 3 22:11:13 2022 -0600

    a few config tweaks

commit 2bec5edbb068cab88b8d4f30f609712feb186a30
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Apr 3 18:12:20 2022 -0600

    first cut at EasyMotor v3 support

commit 9519f7fc894f08d4841556d0efc520b9cc08a899
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Jan 25 12:34:31 2022 -0700

    need to save .bin for TeleGPS v2.0

commit 302e9b8fda7b36e5009044086737b7791f81addd
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 4 14:40:37 2022 -0700

    telegps-v0.3: Reduce stack size to fit in ram
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ad23f26709b822c6d30f7160ffb2f2f51a8af4ce
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 27 16:10:30 2022 -0800

    ao-telem: Read from stdin if no filenames
    
    Make ao-telem work as a filter if no filenames are passed on the
    command line.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d225adc3af9e5726d436cbbdbf8dcc5837e50804
Merge: 3759d670 85dd82b2
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 4 01:22:04 2022 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit d0160ed97b432d59e2111d8b17580b9a83e0b03b
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Feb 25 22:11:17 2022 -0700

    dial it down a bit more to not exceed +10 dBm, or 10 mW

commit 3e7661761f6ea81b6a9732359edf4c5ada3e8e20
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 25 15:43:15 2022 -0800

    Allow TX power to be limited to 10mW
    
    This allows the radio power to be limited so that it doesn't generate
    more than 10mW.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 58a0a242f31ebe4532564f5c04162e8fb82f9aeb
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 21 09:40:07 2022 -0800

    Version 1.9.10.4
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 57a6f844e2490a963ce1ef3a2beb9e47258967af
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 21 09:43:54 2022 -0800

    altos: Document how delay_done is used in ao_pyro.c
    
    delay_done is the time at which the delay finishes, but non-zero
    values also indicate that some delay is pending. Add a comment about
    why the value is set to 1 when it is zero, and switch the tests of
    this value to comparisons against zero.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d29047255c8e78d4ab2beeef678d466a6bfc0ae2
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 19 15:35:31 2022 -0800

    altos: Deal with 8-character version numbers
    
    With 8 characters, the version number isn't null-terminated, so we
    need to limit use to the available length in a couple of places.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 76358fb6e68c1f466e4d76a291f60e1053aa50d0
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:48:01 2022 -0800

    altos: Add -Wconversion
    
    This adds the -Wconversion flag to detect potential mistakes in
    implicit type conversion.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 48971ced7999b7d1265be967b971ccb9555ce40e
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:46:57 2022 -0800

    altos/telemega-v5.0: Add casts to beep values
    
    Need to be careful with types to make sure the math doesn't overflow.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8d53868e67b51d8908e55c6a2e7a3b687529957d
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:46:07 2022 -0800

    ao_lco_v2: Add casts to reduce -Wconversion warnings
    
    No bugs identified
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2f06b7c66dfa05c51d8b2afbc1e3c94e20767e4f
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:44:52 2022 -0800

    ao_lco_v2: Use int32_t for temporary box value in step_box
    
    Stepping to the next box will generate negative values and values
    beyond the highest box number. Use a type capable of holding all of
    those values, instead of int16_t.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d2f84f860917f88a34571b8b0f64d03adf5c8f54
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:42:50 2022 -0800

    telefireone-v1.0: Use a boolean value for ao_log_running
    
    Instead of reading a hex value and saving it directly, use
    zero/none-zero to compute a boolean instead, avoiding a type
    conversion warning.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 52e9443d540aa5d3f29576a0440149b1b0f9c359
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:41:44 2022 -0800

    altos/telefire: Add cast to AO_LED_CONTINUITY to eliminate -Wconversion warning
    
    All of these products had the same warning.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 877d4643b45ca2099f602390b71e1c77d5e11ef1
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:38:25 2022 -0800

    altos/stmf0: Add casts to reduce -Wconversion warnings. Use AO_TICK_TYPE
    
    No bugs identified. Serial timeout types updated to AO_TICK_TYPE.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2d4484e1577edc66c52bcb260329387f93123a6d
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:34:37 2022 -0800

    altos/stm32l0: Add casts to reduce -Wconversion warnings
    
    No bugs identified
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5b3a457f232e39977a437fc52256fc15c612b377
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 21:32:07 2022 -0800

    altos/stm: Add casts to reduce -Wconversion warnings
    
    No bugs identified
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 709666e00339be7b12730c1f4d35721db292f815
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 17:53:41 2022 -0800

    ao_micropeak.c: Add casts to reduce -Wconversion warnings
    
    No bugs identified
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 63fc45973ec92bf3ef7122da0f76d6e111ecd342
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 17:53:11 2022 -0800

    ao_flash_task: Add casts to reduce -Wconversion warnings
    
    No bugs identified
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7c5b9b2c6bf57aea4332177e7fb0eb2d490f4f6e
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 17:52:11 2022 -0800

    altos/micropeak-v2.0: Add casts to reduce -Wconversion warnings
    
    No bugs identified
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e80a45c1565b14479e3a4cfc968d49b13cef4fe0
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 17:49:42 2022 -0800

    altos/lpc: Add casts to reduce -Wconversion warnings
    
    Most of these were caused by int/long mixes as uint32_t is 'long' on
    arm for reasons, meaning that bare int constants need to be cast to
    avoid a warning.
    
    No bugs identified.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f2c02cac5442015fee14f88ee016c687c53d8576
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 17:38:56 2022 -0800

    ao_tracker: Fix tracker_interval type to match config type (plus -Wconversion)
    
    config.tracker_interval is uint8_t, so make the local copy match that
    type.
    
    Also fix other warnings found by -Wconversion.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 63c089e2e110a7fe501dd097bd7d26ce4feeb935
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 17:36:12 2022 -0800

    ao_telemetry: Add casts to reduce -Wconversion warnings
    
    No bugs noted
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a2505dc4be4a368911533d42d6344ad03b220468
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 17:34:41 2022 -0800

    ao_telemetry: Use int16_t types for telemetry packet intervals
    
    This avoids concerns about overflow from int8_t types when computing
    long intervals between packets as the base interface type was an
    int16_t. This should help deal with higher sample rate sensors when
    that occurs.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 86bd5f53ba4b13df502ec1bc70512f30cac94010
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:49:48 2022 -0800

    ao_telemetry: Switch time variables to AO_TICK_TYPE
    
    This makes sure telemetry packet intervals are computed correctly.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b10049d847fac855b1139d6441de853641b7365b
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:44:03 2022 -0800

    ao_task: Task ids are 8-bits, fix type in struct ao_task
    
    These are densely allocated and should never be larger than the
    maximum number of task slots, so fix the type to be 8-bits just like
    all other places where a task_id is used.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 55ca3cb64e19664e5ffc19d6ff92f46e4252f3b8
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:40:19 2022 -0800

    ao_serial: Change serial_sleep_for APIs to use AO_TICK_TYPE
    
    These timeouts should all be short, but there's no reason to use a
    different type.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8a95afdd417119da6089403f870959a726b0c548
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:39:45 2022 -0800

    kalman, report, romconfig, sample, send_packet: Clean up -Wconversion warnings
    
    No bugs detected
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8275b761d182ec587104f084f331d7c2ebc2d1e6
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:35:18 2022 -0800

    ao_monitor: Clean up -Wconversion warnings
    
    No bugs detected
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b5962ab4f804df3145481a54b00fed27561f8725
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:33:12 2022 -0800

    ao_radio_cmac_cmd: Clean up types for -Wconversion
    
    Use more reasonable types for lengths and the like to avoid
    overflows. No actual bugs detected.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit acc642801aa5f8c0c05bde134e5924fe957ce023
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:31:09 2022 -0800

    ao_radio_cmac: Make recv timeouts AO_TICK_TYPE
    
    While these should generally be short enough to live in a 16-bit type,
    use AO_TICK_TYPE for consistency.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f385aabe458ed162fa8b45afc433ee5de8bb7b60
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:18:49 2022 -0800

    ao_micro: Add casts to micropeak code for -Wconversion warnings
    
    No bugs detected
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b123c095384b57446d45d8678dff5448a7c659e4
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:12:47 2022 -0800

    ao_log: Add casts to reduce -Wconversion warnings
    
    No bugs noted here.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0b870641ff0299b973de815523bdfd3db5be8bbf
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:11:07 2022 -0800

    ao_log: Fix sensor time triggers to use AO_TICK_TYPE
    
    These values were used to determine when various log information would
    be recorded. Using the wrong type meant that they would always
    trigger, causing the log to fill up rapidly with data that should be
    sampled at a lower rate.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit dc2d28eab4a998bf5fc60831aaa48d094cbe8785
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:10:06 2022 -0800

    more 16-bit log tick values

commit 9020a82d8b1496bc47dbe454b0735467b5a599b8
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:06:18 2022 -0800

    ao_log: Change flight type to uint16_t, widen APIs dealing with flight numbers to int32_t
    
    Real Flight numbers are 16-bit unsigned values, but APIs using them
    pass values that areoverloaded to also represent broken log slots
    using negative numbers. This means that these APIs need to be able to
    represent all 65535 possible flight numbers *and* all possible log
    slots as negative values. Switch the variables holding only flight
    numbers to uint16_t and those holding either a flight number or log
    slot to int32_t.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8e73e5298206db0e781cc76ee151e96d29f29341
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:00:38 2022 -0800

    ao_gps, ao_log: Make conversions to 16-bit time log values explicit
    
    All log formats record only the low 16-bits of the time value, make
    conversions to those explicit to silence -Wconversion warnings.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7917ec1f105f39799acbea0f4c28d25db4f66eb4
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:50:58 2022 -0800

    ao_flight: ao_interval_end type was too small, could cause premature landing state
    
    ao_interval_end is used to provide a window of time during which the
    max/min values for sensors are measured. After that time expires,
    those bounds are compared to see if the airframe has been stable and
    should be moved to landing state. With a type that is too small, that
    could happen immediately after transitioning to main (for baro-enabled
    devices) or coast (for accel-only devices). For baro devices, this
    would disable any redundant main firing events. For accel-only
    devices, this could disable all events occuring after coast, including
    firing separation charges or motor igniters.
    
    There are also a couple of additional changes to reduce -Wconversion
    messages.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6f06cf3e8fe0531b927d5e11ae2b0e9af3663b0f
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:43:31 2022 -0800

    ao_convert_pa: Switch array index to unsigned type
    
    This seems more appropriate for this use.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4aa984bbcce1cdc4f4b82516a9f2a32cf5061dfa
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:42:45 2022 -0800

    ao_companion: Make motor_number uint16_t
    
    Make it match the types used elsewhere
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f51316c02a8385223567e1aa8e3f5a0b74c16cd6
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:41:59 2022 -0800

    fifo: Add casts to fifo operation macros for -Wconversion
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ba0239ca6839605c7ce45d56677bb9a3b782b7f2
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:41:10 2022 -0800

    beep, cmd, config, convert_volt, data, distance, fec, kalman: -Wconversion warnings
    
    No bugs noted, just adding casts to resolve -Wconversion warnings.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bdf0671cb36daca741c4842a37a3fc71744a63a2
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:15:42 2022 -0800

    altos/ao_freq: Use uint32_t for radio freq setting value
    
    These values are always unsigned; changing this resolves some
    -Wconversion messages.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3d276e01ba96e8174e590b101cc9ef002e6cb67b
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:13:53 2022 -0800

    altos/ao_stdio: use uint8_t for stdio index
    
    This makes type usage of this value consistent. Also fix another
    -Wconversion warning.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 161f2a3aa7f7364c6d972df4199200828dfe3294
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:12:31 2022 -0800

    altos: Switch ao_radio_recv timeout to AO_TICK_TYPE
    
    Make sure all times are in the wider type.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 72a452d1ca5b3f9f1defef47465e24a10ca72d58
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:10:31 2022 -0800

    drivers/ao_rn4678: Fix timeouts to use AO_TICK_TYPE
    
    Also fix other -Wconversion messages.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9f56c5763d1c078c5de15e92103b751ea26b7684
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:08:56 2022 -0800

    drivers/ao_quadrature: Fix -Wconversion warnings
    
    No bugs detected.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit dbaef3237cc6874faf8eb9030a15b578b58fd83f
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:06:25 2022 -0800

    drivers/ao_pad: Convert from/to 16-bit times over the air
    
    The radio protocol sends only 16 bits of time, make sure we translate
    from/to those correctly. No bugs detected, just casts added to
    clarify. Also fix other -Wconversion warnings.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 11d6e27bfd94ce58b702bfd0889f064ce1ef5a48
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 14:00:43 2022 -0800

    drivers/ao_packet: Switch time values to AO_TICK_TYPE
    
    Make sure times are kept in the right type. Also resolved other
    -Wconversion issues.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c309956389acc01f784f3d0e11745f5ac0a77e06
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 13:59:26 2022 -0800

    drivers: Resolve -Wconversion in m25, mma655x, mmc5983, mpu and ms5607
    
    No bugs identified.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9c27459fe1417b460f01f053bc44474623b1cbca
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 09:33:17 2022 -0800

    drivers/ao_lco: Fix box types to be uint16_t. Also clean other -Wconversion messages
    
    Old LCO code uses 0x1000 as magic value for "DRAG" box, so we need 16
    bits. Switch all box variables to 16 bits, use int32_t when switching
    box numbers to deal with negative values and still hold the whole
    possible range (even though 16 bits "should" be plenty).
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 71c3652d6c511db03402f5b7487bc4098e6d850f
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 09:29:06 2022 -0800

    ao_hmc5883: Add explicit casts for -Wconversion
    
    No bugs noted.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c783aafd89777626c362e15c47360b399d03c45d
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 09:26:08 2022 -0800

    ao_companion: Make time conversion to 16-bits in companion protocol explicit
    
    Companion protocol only passes low 16-bits. Also add explicit casts for -Wconversion
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fadb563f8aeeee895a7232bb71fa5bade6ef66f0
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 09:25:15 2022 -0800

    ao_gps_skytrac, ao_gps_ublox: Add explicit casts to quiet -Wconversion
    
    No bugs noted.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 452dd07575a118f29a0dfa712deeb18e92ffb1f4
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 09:20:29 2022 -0800

    drivers: Fix type of radio timeout parameter
    
    Move from uint16_t to AO_TICK_TYPE. Also add explicit casts to quiet
    remaining -Wconversion messages.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 46200359c388062a5e7bc40d780808d92a59f0ed
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 09:16:49 2022 -0800

    altos/drivers/ao_button: Save all 32-bits of irq status
    
    Was saving in a uint8_t
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7fd29d922be98ddc6406f2323599ef63061044ed
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 09:15:57 2022 -0800

    altos/drivers: Add explicit casts in ao_aprs, ao_bmx160 and ao_btm
    
    No bugs spotted here, but this quiets -Wconversion warnings
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5bdb250a43c9e87185f3ddedbd8364f24306bbfd
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 27 15:52:44 2022 -0800

    altos/attiny: Eliminate warnings from -Wconversion
    
    These have no effect on the generated code as they simply make
    implicit conversions explicit.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 85dd82b200d649fbf08aa31e5acde8f1f40d531a
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 16 17:00:59 2022 -0800

    altos: Re-enable apogee delay
    
    When the igniter code was changed to support booster mode, the code
    which delayed apogee firing based on the configure apogee delay value
    was lost. Re-enable that by sticking a delay before firing the drogue
    charge when the ignite mode is not redundant apogee.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d91e0b962d95051a10147e691b133927bf3fb8cb
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 9 09:58:07 2022 -0800

    Version 1.9.10.3
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d11edd6d595eb1a0786f61d4ae4bdf37ecf1a4fb
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 9 09:51:33 2022 -0800

    libaltos: Build Mac OSX libaltos.dylib for arm64 too
    
    Make this work on the M1.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5c67c0c789787fcd18b513a775d2415e0af0a2d0
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 9 09:49:49 2022 -0800

    Switch from AdoptOpenJDK to Adoptium
    
    This project moved to Eclipse foundation but seems otherwise about the same.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c5d39fe3ac9252547f966a86f413eebd7b44088f
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 28 15:27:02 2022 -0800

    ao_pyro: Move delay_done out of pyro structure
    
    The pyro structure should be read-only in flight operations. Move the
    'delay_done' element to a parallel array as that gets written. Change
    types to pointers to const structs to enforce this in the future.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 606a67724dea8ab3d52d52456722dc593cf8ac8d
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 27 15:49:15 2022 -0800

    altos: AES code was storing bytes in an int array
    
    The only operations using these values are logic using bytes, not
    arithmetic, so shrinking the size of the elements should have no
    effect on operation.
    
    This saves space *and* eliminates a type conversion warning from
    -Wconversion.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3759d6707d67e2584670ea89086576b695ea3509
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Jan 25 12:34:31 2022 -0700

    need to save .bin for TeleGPS v2.0

commit 59cbf80e63b4c88de45e59c6e3d209f99910fcf3
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 21 19:45:14 2022 -0800

    data_interval == 0 means no data collection
    
    All of the timer functions were still taking one sample every 256
    clock ticks.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2dc5d4eecc97b640a2e1f012b4411955682b61c8
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 11 14:34:14 2022 -0800

    Version 1.9.10.2
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d24aba871ee9aa3671e15510ee4e2a0266c3d583
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 11 14:32:55 2022 -0800

    altosdroid: Add BLUETOOTH_CONNECT permission, handle its lack
    
    Android 12 switched how bluetooth permissions work, so now we need a
    new one to talk to devices. Also deal with a lack of that by not
    crashing when we can't get the name of a BT device.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7f46240dfc57164f0c1b0c4c4ed9695bca63860d
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Dec 16 13:39:33 2021 -0800

    altos: Switch all tick variables to AO_TICK_TYPE/AO_TICK_SIGNED
    
    Instead of trying to pick and choose which work as 16-bit values,
    change everything that doesn't affect external values (log, companion,
    radio) to AO_TICK_TYPE.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0e068689f41b74c883615f9f11a322a962cbb792
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Dec 16 13:38:39 2021 -0800

    altos/attiny: Switch to avrisp2 for development programmer
    
    My bench programmer puck is the avrisp2, not usbtiny
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d317c2e30c408909807bde7c5577e499bd3c6f17
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Dec 16 13:37:17 2021 -0800

    ao-tools/ao-test-igniter: Deal with devices that use both 'apogee' for ADC
    
    Some devices report drogue igniter ADC value with 'apogee' tag. Deal
    with this.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 55698a6232bde408ce7e12bb7ee52ba72985fc78
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Dec 16 13:36:10 2021 -0800

    micropeak: detect empty log received from device
    
    Avoid reporting a failure to the user when the device has no flight
    log.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e3127155c02cd42ef8aa42d167fc214e8997113f
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Dec 22 11:35:52 2021 -0700

    doc: add an appendix on frequency calibration to the all-in-one manual

commit 66152b176bad12fbff3188397c607793c0bdd380
Merge: 8e1145b9 0921e8b1
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Dec 20 13:49:41 2021 -0700

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 8e1145b9894537e33747fecc7d61d87eadab6135
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Dec 20 13:49:28 2021 -0700

    need to capture .bin file for telebt loader, too

commit 0921e8b166c41ea8f65df14cea893481d8e1f0f1
Merge: 236d80fa 9db486f6
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Nov 3 13:24:41 2021 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 9db486f6d78b8a2ae855168338e0ea7d6ee4231f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 16 16:27:52 2021 -0700

    Version 1.9.10.1
    
    AltosDroid fixes (rotation, crash in maps stuff)
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a1b7357aa5bca6afb588b0bfb5cfe72c4d0255ef
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 16 15:48:22 2021 -0700

    altosdroid: Fix tab updates on Android 11 after rotate
    
    Android 11 appears to have "optimized" application rotation by
    regenerating fragments automatically. This means the tab fragments
    aren't getting created by TabsAdapter.getItem, so that code didn't
    know about them, which caused it to not know which tab was active so
    all of the application state wasn't getting updated in the tabs after
    rotation.
    
    Fix this by telling TabsAdapter about fragments that are already
    created -- altosdroid hears about them in the registerTab hook.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5ef3cd5abdb863c534a0abc5d0a726cfa5108eb4
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Oct 10 23:01:18 2021 -0700

    altosdroid: Skip map draw before transform is set
    
    A crash report indicates that this can happen.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f426462c7e86dc0aa48c004e115144b25eadacf8
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Oct 10 22:21:49 2021 -0600

    fix version in 1.9.10 release notes

commit 8970d45ea43bfff1de38778ee8b14c3e54639555
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Oct 10 21:42:19 2021 -0600

    releasing 1.9.10

commit ed267e76eb03c34ec233c33a002ec9e5e53ec83a
Merge: bd71c839 ef70f80b
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Oct 10 21:41:50 2021 -0600

    Merge branch 'master' into branch-1.9

commit ef70f80b324e9c8ba7046b5000e0f28f77a54f8c
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Oct 10 09:57:45 2021 -0700

    Version 1.9.10
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 67a1d9b5bcd9bd7dd4156010264cef6b9c87caa3
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Oct 10 09:49:49 2021 -0700

    altos/telemega-v5.0: Add .gitignore
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 47d7affffdf97188a034bb48918ec22f03ea5b38
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Oct 10 09:47:52 2021 -0700

    doc: Version 1.9.10 notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit eb39995ded6b564efcb5a5312119d2672b437bc8
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 9 21:32:17 2021 -0700

    altosdroid: Catch log file open failures and show an error dialog
    
    Android changed which directories we can write to once, let's hope it
    doesn't happen again.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3488d86de2e114a46e59bd4d2a2d7b95bf633963
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 9 21:31:24 2021 -0700

    altoslib: Add callback from AltosLog on file open failure
    
    This lets the UI tell the user that logging isn't working.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4b3ccb73a26f91917d327558295506ce3c02d684
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 9 20:58:26 2021 -0700

    altosdroid: Switch storage to media dir
    
    Even with the WRITE_EXTERNAL_STORAGE permission, we appear to no
    longer have permission to write to a random external storage
    dir. Instead, we only have permission to write to an app-specific dir,
    buried deep in the directory tree. We can get that directory name with
    getExternalMediaDirs()[0].
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 536e53c2e17b37df8c65d2f6921a5d68791a7789
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 8 18:31:35 2021 -0700

    Version 1.9.9.1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5cb393c1743a5c0f307631199abba067821db370
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 7 22:45:37 2021 -0700

    libaltos: Use original windows printf/scanf
    
    mingw now uses "improved" versions of printf/scanf, which may cause
    trouble with some windows 10 installs. Just use the old versions.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 236d80fac2b4293c5750c9d80b387afd4d0fc5cc
Merge: 047a3f1f 6ef22682
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Oct 7 12:11:06 2021 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit c15bb9513ab0f8636bf52ec827551134c773e832
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Oct 6 22:58:09 2021 -0700

    libaltos: Make windows dlls reproducible
    
    Use SOURCE_DATE_EPOCH=0 to ensure these dlls are
    reproducible.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bd71c839b542c417a90ab59db97e0969f7e27731
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Oct 7 00:00:42 2021 -0600

    releasing 1.9.9

commit 2f1d5b25e72324512238920b45e864bf7c5d16fe
Merge: c0fe810e 6ef22682
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Oct 6 23:59:20 2021 -0600

    Merge branch 'master' into branch-1.9

commit 6ef2268220a8ee6a83ce7400614d27589c57534a
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Oct 6 23:53:28 2021 -0600

    libaltos: don't carry pre-built .dll files in the repo any more

commit 44530c7439c311c573cbd4b865e7bf2c1581ab83
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Oct 6 21:13:38 2021 -0700

    Version 1.9.9
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9841667f100585ccf50879a6bf627198578c8313
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Sep 24 09:44:56 2021 -0700

    1.9.9 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 071bcedab48d3bd71f42c685d01fc5c64f702ba3
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 29 10:24:02 2021 -0700

    altos: Measure mmc5983 offset
    
    This improves mmc5983 accuracy by using the SET/RESET mechanism which
    flips the orientation of the mag sensor to cal-out any sensor bias.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1a268f959f5ee76133f4f707cf81a2c0fe4c8e73
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 29 10:22:13 2021 -0700

    altoslib: Parse TeleMega v5.0 eeprom records
    
    Oops. Missed one spot in adding TeleMega v5.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 236200c028dd48bbffbde1278d8b1c6de39fbdb1
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Sep 24 09:43:15 2021 -0700

    altos: Fix config upgrade from 1.24 to 1.25
    
    Alignment of pyro field changed due to increased size of fields which
    shifted the whole struct by two bytes, leading to mis-updating the struct.
    Fix that by creating a mirror of the ao_config type for version 1.24 and
    then using that to fetch the old data.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1115f566119deaa508f753576703917f28ef54b7
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 20:24:13 2021 -0700

    Remind us to update ANDROID_VERSION
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ce5cb9b985fbb803de8794af69027fba55e48f79
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 20:23:10 2021 -0700

    altosdroid: Set android version to 30
    
    Need to change this for each release we do
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 047a3f1f08687113b80123cc7568d7057a23bcc3
Merge: 01b5d271 e7a19e6d
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Sep 22 11:53:17 2021 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit e7a19e6dec201603e98b94b0ba790aa7d2d344f8
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Sep 20 18:17:49 2021 -0600

    snapshot TeleMega v4 turnon and test scripts before crafting v5 versions

commit 95fc564503ced6febe7136813e76592ecac9c1d7
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Sep 20 18:22:55 2021 -0600

    update TeleMega bench scripts for v5.0 hardware

commit 01b5d271d21e0c60508c06f4af1ff34bf75bf9fe
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Sep 22 11:45:49 2021 -0600

    capture odd changes from production machine?

commit 3fb07b29d7bad57a52e4b0c75d623577ca1d4da3
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Sep 20 22:06:30 2021 -0600

    capture updates to Releasing from 1.9.8 release

commit c0fe810e9b12a07c59ed12124bf9045a7c13d122
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Sep 20 21:25:42 2021 -0600

    update ChangeLog for 1.9.8 release

commit 47e98987fd8789583406eba7d2bc2d47bfad1f11
Merge: 7d52b911 fbf4b677
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Sep 20 21:24:45 2021 -0600

    Merge branch 'master' into branch-1.9

commit fbf4b67782f186172146e1ef911ed1bc083f4c12
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 19:56:45 2021 -0700

    Version 1.9.8
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d7efc09d6ed5c128dfb1adb74627362d9263a64b
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 19:54:36 2021 -0700

    doc: Update for 1.9.8
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 969cf2419022727c30e6d2d8af6afbf7ff1c630b
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 19:52:35 2021 -0700

    doc: Add specs for TeleMega v5.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit aff90e4bbcfb62f84ce9d8679cfc0da0ebb5e301
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 19:49:49 2021 -0700

    doc: Note pyro channel time limits on <1.9.8 firmware
    
    16-bit delay values instead of 32-bit
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c6de071bcfca217a28d94255339b2f5e09d05fa5
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 19:59:45 2021 -0700

    libaltos: Ignore cjnitest files for all targets
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b5f890661457e7dd0f4558c60e8d55a114401cc2
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 19:58:30 2021 -0700

    altoslib: Document how to add a new product
    
    Avoid missing some steps
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d7732ffbba08db0fcd6b8c2181584da1bc7d5d84
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 17:17:06 2021 -0700

    Add test-easymini-v1.0 script
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 568379f381dbb4bf587e95ce1d9c400e856ff6c6
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 20 16:28:37 2021 -0700

    altos: All beep-enabled boards have beep config
    
    HAS_BEEP_CONFIG is no longer used, switch to HAS_BEEP
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c89268c1fa70fbdc661ac0963b9f8fe22c42bbfe
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 21:04:41 2021 -0700

    altos: Deal with cc1201 limitations
    
    The CC1201 works fine at higher data rates, but at lower rates it
    can't crank the RX bandwidth as tight as the CC1200. Deal with this by
    checking the part number and using the correct settings for each one
    when running at 9600 or 2400 baud.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 839024907e2777c07e4722e7bb0ab8993abf5638
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 17:09:11 2021 -0700

    Bump version to 1.9.7.1
    
    Preliminary release for TeleMega v5.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ebb5044b02c7933df4d3caf739b0e3d5c12d464d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 19:12:42 2021 -0700

    libaltos: Update windows DLLs
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 07fa6611080cc7a4ae2815e9867afde5be7a3f89
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 19:01:34 2021 -0700

    altosdroid: Add tilt angle to pad and flight tabs
    
    Useful for monitoring attitude
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2c10d049ca9729dfe7832096c40f837d6510d5b2
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 16:50:18 2021 -0700

    Add TeleMega v5.0 firmware
    
    Followed steps in Releasing.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a18da7cfcd45518eeb5433a1ad5d14a3cd65c160
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 16:30:51 2021 -0700

    altos: Build TeleMega v5.0 bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 476e90203b14e4fc380c86e065cd6c41296caaa1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 16:30:08 2021 -0700

    altos/telemega-v5.0: Space tones closer together
    
    TeleMega beeper needs tones fairly closely spaced to
    keep them in range.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 91656c9d1d6175e06d4bed8e448ac6773e172de0
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 16:29:33 2021 -0700

    altos: Allow beep tone spacing to be changed
    
    New beeper needs closer spaced tones
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 82323e51d2372e559604545673c90dceb920f12d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 16:28:22 2021 -0700

    altos: Fix up HAS_FLIGHT_DEBUG
    
    Some printf formats weren't right.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 43c375cf8835ad892f20c4b988badd893927f4ee
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 14:56:51 2021 -0700

    altosui: Add options for low frequency beeper
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit db950e97caefdd3257c1a2de3547ab88a2bd2344
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 14:56:16 2021 -0700

    altoslib: Support TeleMega v5.0
    
    Add normalized data support
    Add telemega idle monitor and telemetry packet support.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 064e30c73ff539ec53d15efe6cbab982b9c35eaf
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 14:54:16 2021 -0700

    altos: Update telemega-v5.0 config
    
    Fix cc120x interrupt pin.
    Enable normalized data.
    Select 2100Hz beeper default.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 876a0f9d2a3324e2591e21bcf2dafcfb6009c081
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 14:53:47 2021 -0700

    altos: Add normalized telemetry support
    
    Just like logs
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ea0ab578e4e745f4ee94c2551834e105152fdba1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 14:53:02 2021 -0700

    altos: Support normalized log
    
    Write log data with standard axes instead of device-specific ones.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 363d42306bdc2f303b31e2ecae39fa11b503244f
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 14:52:13 2021 -0700

    altos: Allow devices to override default beep
    
    New beeper will want new default.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8a830c7f9ed41565c72edb85852e2df8bfa351f5
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 14:50:28 2021 -0700

    altos: Support normalized axes in mpu6000 and mmc5983
    
    For monitor idle, devices selecting 'normalized' log format also
    get 'normalized' command mode. This reports data in a standard format,
    along/across/through instead of raw device axes which depend on how the
    part is mounted.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cdfa9303a024300141e8b328f81404a9b7466207
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 19 14:48:50 2021 -0700

    altos: Detect CC120X device type
    
    Not that it has any effect on the driver, but maybe it should?
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6a913364ffd84edb36eb848e65863e963f51cd15
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 18 22:45:33 2021 -0700

    altos/telemega-v5.0: Fix config for MMC5983
    
    SPI mode 3
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ac2003b9556595db12e1fc671ef6226c56b777ad
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 18 22:44:19 2021 -0700

    altos/stm: Minor cleanups in ao_arch_funcs.h
    
    Fix ao_gpio_set_output_mode to actually work again.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 71674569800c58db0a9f3d63495c0e1341e51b32
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 18 22:43:34 2021 -0700

    altos: Get MMC5983 driver working
    
    SPI ID is different.
    Clean up pin settings to avoid transients
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3ed101d634968666cd3ee2d8c49737970caf406b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 18 22:05:32 2021 -0700

    altos: Add bit-bang i2c driver
    
    Useful for debugging stuff, not useful for flight code as it
    burns the CPU for timing.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 41b754f955de6f196e44f30334436e5237fb9110
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 18 22:15:50 2021 -0700

    altos/stm: Use picolibc startup code
    
    Instead of custom bits
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a0298477a4acfbfd78ab8dd150ee480bd14bd073
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Sep 18 22:11:11 2021 -0700

    altos: Record MPU6000 failure but let device boot
    
    Don't panic on MPU6000 failure
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4fed4123fd40a6fb211b542b7c922ec8b2ae0c6b
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Sep 17 14:24:21 2021 -0700

    altos: Fix telemega v5.0 CS_FLASH pin
    
    It's on GPIOD 10, not GPIOD 3.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 98e54df2385fcaf263de14f89a1f0728bfdd541a
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 7 07:54:01 2021 -0700

    Show mag sensor SPI ID

commit 7230dbad9326d55427e23924e45cf8270411ff7b
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Sep 6 23:07:24 2021 -0700

    telemega-v5.0: Add Makefiles
    
    Oops
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4891f212ab13941cbe89471114dc1e5cf0f8affb
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Aug 17 20:04:08 2021 -0700

    altos: Prepare for picolibc stdio change
    
    Instead of __iob, picolibc will use stdin, stdout and stderr globals.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8384b9f6f2fe2c2a17566f771554d9b0e174d1b1
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Aug 17 20:02:05 2021 -0700

    micropeak: Show error message if USB adapter open fails
    
    Pop up an error dialog and *don't* show the download dialog as if the
    open had worked.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ea380005c74ba2ea9738de1d909b5650b2f44706
Merge: cee8c407 b6619833
Author: Bdale Garbee <bdale@gag.com>
Date:   Sat Aug 28 13:16:45 2021 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit cee8c407bf2b22d40350672deacbc10768bffa46
Author: Bdale Garbee <bdale@gag.com>
Date:   Sat Aug 28 13:16:08 2021 -0600

    doc: add mounting hole spacing information to product outlines

commit b6619833a3a581e74796b5c2ab837b52a4e9f6f3
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 15 17:08:44 2021 -0700

    libaltos: Add new microchip MAC address to bluetooth map
    
    The new batch of BT modules use a new MAC prefix.  On Linux, also add
    the RFCOMM channel discovery code in case this happens again. On
    windows, suffer.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4d3a208c9d85d73cab7c2bac91c12e540d76c76f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 2 17:04:20 2021 -0700

    altos: Change MMC5893 driver to avoid interrupts
    
    Set the chip to sample at 200Hz and then simply read the results at
    100Hz to get a reasonably recent sample. This avoids a delay at each
    sample interval.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit eb77758b7dcdd0bcef12cd1d56cf4d447cbe5c8c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 31 22:03:15 2021 -0600

    altos: Add MMC5983 driver
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5b580ff01ef0618236bfeb63690fd32710c684b4
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 31 22:02:42 2021 -0600

    altos: Add preliminary TeleMega v5.0 bits
    
    Axes not checked yet.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 15dbd68ae4018180bb7a7aced849d23cd2200472
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jul 26 22:13:58 2021 -0700

    ao-bringup: Use ao-test-igniter voltage check feature in pyro tests
    
    This makes sure all pyro channels are 'in range' during testing to
    validate the ADC is operating nominally.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a63e025d1b0ae5d53f6281d49e66729f3cde36be
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jul 26 22:03:04 2021 -0700

    ao-test-igniter: Also test ADC voltage for in-range of 1-4 volts
    
    This should catch ADC issues, like a solder bridge on the SoC.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 50385fa8941b58192f8955b3873a75251cde5844
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 21 14:26:35 2021 -0700

    altos: Fixes for GCC 10 (-fno-common is default)
    
    A couple of duplicate global definitions which GCC 10 flags
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9a78fd63e8a1362af01d4f01e335ff449f0a5d7e
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 11 22:27:27 2021 -0700

    ao-bringup: Revert EasyMini scripts to 1.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit dc765b10da7f1dc8e267bcd70b4dcee243475c83
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jul 12 10:08:05 2021 -0700

    libaltos: Use cross compilers to build libaltos for i686, amd64, aarch64, armel and armhf
    
    Use current debian packages to build libraries for x86 and arm debian hosts.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 772b15425317d1da231c9925839320721cdb1269
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jul 12 10:03:24 2021 -0700

    altosdroid: Show altitude as well as height
    
    TeleGPS is more useful with altitude
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0232784711f1f26f1972142920375e2e24ab1e2e
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jul 12 10:00:30 2021 -0700

    doc: telemini force freq is pin 6, not 7
    
    Telemini debug connector has only 6 pins
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit db30a0dd958617cbe7fa8054ebb7b40ced90b602
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jul 5 22:52:35 2021 -0700

    kernel: Widen pyro time values to 32 bits
    
    This lets time values of greater than 327 seconds be used. 99% of this
    code is to adjust existing configurations to the new structure, which is
    wider than the old.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5a7c2d3416594fc1cb43532970476631b407e975
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jun 23 21:35:07 2021 -0700

    altosuilib: Remove spurious message about libaltos
    
    Wait until we've tried all libaltos options before complaining.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f6f6b53283d6a02cb62d3315d71e5a6911f59646
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jun 20 17:06:28 2021 -0700

    altosdroid: Work without GPS available
    
    On devices without GPS receivers, use network location instead of
    crashing.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7d52b9117c0c003506af1b103db4938efdafda5a
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Jun 8 22:56:37 2021 -0600

    update ChangeLog for 1.9.7 release

commit 8750dde659cec836fa6354651d5967b7aac1dff0
Merge: dcd1feb8 24215a4a
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Jun 8 22:56:04 2021 -0600

    Merge branch 'master' into branch-1.9

commit 24215a4a2049e51c335b76767f9ed13d186ac408
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Jun 8 22:51:28 2021 -0600

    doc: update copyright year assertions

commit ec00f55171a6c5c827c1296178be43d311801be8
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 12 18:39:48 2021 -0700

    Version 1.9.7
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b5ab12ca11272479330a1d630da15cbf0d76735c
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 19 11:01:16 2021 -0700

    doc: Update 1.9.7 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1d9aaab9209a7afea60a8b394e4d3d5325f0f01e
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 7 16:14:25 2021 -0700

    altosdroid: Bump to version 29
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3104c3d2b1e781592f5d6841ba1ef2ba6c49642b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat May 15 20:19:56 2021 -0700

    altosdroid: Update target API to 29
    
    Required by current Android store
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 82ef65a98e8e018fe8aa0665fd8a4af3fff3097a
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 11 22:28:32 2021 -0700

    altosdroid: Revert getResource().getColor to old API
    
    This should keep it compatible with API version 21
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 76847aadc1ea770099c6be05727dfa232e53205c
Merge: daa635de 7643f408
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Jun 7 17:11:01 2021 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 7643f408834a872ed5d7ae67770b1b7c98f3b90c
Author: Keith Packard <keithp@keithp.com>
Date:   Sun May 30 15:08:25 2021 -0700

    Version 1.9.6.5
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b45adfbc0eb769800068c2d432e9db52425ee316
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 19 10:52:47 2021 -0700

    altoslib: Protect has_monitor_battery from unset product
    
    AltosDroid can query has_monitor_battery before the product data has
    been set.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9a427131788a3e477629a0de26f0f41b5e98333b
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 19 10:51:44 2021 -0700

    altosdroid: Don't start bluetooth if address is null
    
    If the address.address string is null, don't bother starting the
    bluetooth service.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9eb0fbd7eff5694064f9d123220b523a98fef0a4
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 19 10:50:22 2021 -0700

    altosdroid: protect USB read/write when connection is null
    
    Check to see if connection is valid before attempting to read/write to
    it.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 55a820e517f9705bc80c653b456ce5d8b3a634bc
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 19 10:48:58 2021 -0700

    altosdroid: Synchronize access to the 'rockets' list for online maps
    
    Online maps gets rockets added by the telem code and the same data are
    used to create the maps UI. Synchronise access to that object to prevent
    simutaneous operations.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 09a2a37b31b816236f023ba2a1d767646d5c8f34
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 19 10:47:37 2021 -0700

    altosdroid: Safeguard preferences code in case it's called too early
    
    Make sure there's a backend set up before accessing data as it seems
    this code can be called before the preferences code is called before
    the backend is created.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0a7cc99d9db45c6c4ba929acf5b57e22d826c82a
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 18 23:26:12 2021 -0700

    altosdroid: Skip clicks on BT device entries that are too short
    
    Maybe these are some kind of extra object? In any case, nothing that
    we care about, so just ignore the click.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit daa635de77da3a1926ceb2e2d91e31ec169e173c
Merge: a2e71a40 362f11ff
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue May 18 23:54:48 2021 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 362f11fffb63c5c4d4e2ccfc59c0e6ae83a55d01
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 18 22:37:01 2021 -0700

    altoslib: Fix accel value flipping for TM v3.0
    
    TM v3.0 uses the same log file format value as TM v2.0 but has a
    different accelerometer, which requires a different function for
    inverting the raw values. Detect v2.0 devices and use the old function
    for them while using the new function for all others.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a575eebbf87243c3a314929a2469db5bac0c7b42
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 17 23:09:29 2021 -0700

    altosuilib: Zap all flash when upgrading TeleGPS from pre-1.9.7
    
    Old versions of TeleGPS firmware would end up spraying log data all
    over flash as they mis-computed the place to append new log data.
    
    When the right hardware is detected, a warning dialog will pop up and,
    if agreed to, the log storage flash will be completely erased before
    the firmware upgrade happens.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 565778b66e59069fc6a6d6518f28354eae954dc1
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 17 22:38:14 2021 -0700

    altos: Simplify discovery of log end position
    
    Binary search using log block indices rather than byte positions. This
    makes the code much easier to understand as there isn't a mystic modulus.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8dec0d1be5a2d7633045c5c0e86b32a9e6b60299
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 17 22:33:21 2021 -0700

    altos/telegps-*: Fix log end discovery at startup
    
    We need to find the first unwritten log block to start appending data,
    but the code was actually looking for the first empty 256-byte chunk,
    which meant that we'd leave a gap of erased data after the previous
    log. AltosUI would stop at that point and not recover the remaining
    stored data.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a2e71a40e53602c0cebe4c36d3658201dc0c2bae
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed May 12 00:27:55 2021 -0600

    ao-bringup: fix easymotor script to use .bin for dfu-util

commit fa273e51e772540f61fffbdc4431fe07bcd57630
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 12 18:38:50 2021 -0700

    doc: Update for 1.9.7
    
    Add release notes
    Add specs for EasyMotor
    Update copyright year to 2021
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c4708930ebfbc056bb4faae9b23720d3be401978
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 12 18:39:48 2021 -0700

    Version 1.9.7
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b8437a3f994845dd84080cc20122494aaf901124
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 12 18:36:45 2021 -0600

    ao-bringup: add tools for flash/cal/test of EasyMotor v2

commit 1451e2fd2092d720b0d49b93ac01bed7e88b831f
Merge: 9c26fe3e b115522c
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 12 18:27:17 2021 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 9c26fe3e4fddfd2a3f3e5a7da68ef65422053063
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 12 18:26:46 2021 -0600

    ao-tools: update ao-flash-stm32f0x to work with openocd in Debian unstable

commit b115522c41228b26133f322ea68ddb187c0b68cc
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 12 13:04:20 2021 -0700

    doc: Fix typography in motortest doc
    
     1. Use correct quotes.
     2. Eliminate double space after punctuation.
     3. Use elipses instead of three full stops.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 410af114b4827e46a5a297dbb7c26dc087b932fb
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 12 14:02:32 2021 -0600

    altos: include EasyMotor v2 firmware in upcoming release

commit 21da0503635a643529d457dccd7e12eb39029fdb
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Apr 12 13:51:06 2021 -0600

    docs: minor text tweak in motor testing docs

commit c6bcfa5ede86a718105cc334099e4a6b028b08c3
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 31 09:23:14 2021 -0700

    altoslib: Write IMU headers to CSV file when present
    
    The IMU data were being written, but somehow the header was not
    included.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d6be8a279ad233d998c6df8b2efafa34dd5a9a98
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Mar 28 18:03:56 2021 -0700

    Version 1.9.6.4
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit da8d7fde56bfd7db02598d2880653fa71846abf7
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Mar 28 18:03:03 2021 -0700

    JavaApplicationStub hacks for Big Sur tabbing mode
    
    Java does not support the 'tabbing' stuff that's in Big Sur, so
    disable it.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 81a6f20fca5df08f3ac08d83a79439502c209df0
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 27 09:37:49 2021 -0700

    Add local hacks to JavaApplicationStub
    
    Fix font rendering.
    Add app directory to java.library.path.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f2d45e21175453a69112fde22bf5b662d9e32adb
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 22 00:06:14 2021 -0700

    Update JavaApplicationStub to latest release
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c6ef894263068839782716fece54154effd3d0fe
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 22 00:02:33 2021 -0700

    Add Mac OS X 11 support to JavaApplicationStub

commit 1d29a584c8387798fb1558fd54a09b1d8fbe90b7
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Mar 21 23:10:25 2021 -0700

    altosuilib: Show launch sites at all visible locations on map
    
    Take each launch site and draw it at every location on the map it
    occurs (in case the map shows more than the full globe). This also
    automatically handles scrolling the map more than one "rotation".
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 07eecc0ff6e1104f911e5f83d67f3e14dc68c59c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 27 12:51:56 2021 -0800

    Version 1.9.6.2
    
    Fix micropeak Download on Mac OS X
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 38b360b0b7080b06998d1cac1d6d09957fa44844
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 27 13:38:54 2021 -0800

    altosui: open /Library/AltusMetrum on Mac OS X after install
    
    This helps the user find the documentation.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 997931d545c977250918a2d608f8c5756de2afcf
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 27 13:23:16 2021 -0800

    micropeak: Stick docs in Doc dir on Mac OS X
    
    Follows altosui and telegps installation
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c07b0cd5881ae4e101c41ffa7a1dc6980c3ef357
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 27 13:22:39 2021 -0800

    altosui: Show dialog box if sudo fails on Mac OS X
    
    If the user types the wrong password three times, sudo will give up
    and return an error.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 82bad3d62b91e67f6089e403c4bd4983bf65e449
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 27 12:51:13 2021 -0800

    micropeak: Use a menu for 'Download' on Mac OS X
    
    Attempts to add buttons to the menu bar fail leaving no access to the
    download command.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0c33e88479ce5fe578cec4296d6196356175d40a
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Feb 15 14:27:30 2021 -0700

    doc: add motortest docs to publish targets

commit b8e21caf9602b55e9a042f8f0b3cfed1d8975c15
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Feb 15 14:25:47 2021 -0700

    doc: have motortest documents actually get built by default

commit 6ac9b490efca17b15317965026c56b4a37d6be82
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Feb 15 14:12:46 2021 -0700

    doc: make doc be about motor testing in general, not just EasyMotor

commit afc90f63c6a0c2a511fddc97b72537e0a6f40cfd
Author: Bdale Garbee <bdale@gag.com>
Date:   Sat Jan 30 11:48:01 2021 -0700

    doc: add a brief note about TeleBT appearing inert until paired

commit 7f4059bbe74ecf86842134739ec521dcb646f04f
Author: Bdale Garbee <bdale@gag.com>
Date:   Sun Jan 17 19:29:28 2021 -0700

    doc: first draft of manual for EasyMotor

commit 3af81a45be69b4693396de4a5e2c386be566b933
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 4 14:58:15 2020 -0800

    altoslib: Add all known launch sites and names to map preload
    
    This shows all of the known launch sites and their names in the map
    preload screen.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a4c40ba682acc3ed1808d5a170ddae4114740a39
Author: Bdale Garbee <bdale@gag.com>
Date:   Sat Nov 21 11:22:01 2020 -0700

    doc: add documentation on how to re-flash a TeleMini v3 over USB

commit 6550585af6d80306d037661be66004ccf8d09013
Merge: c992792b 42226344
Author: Bdale Garbee <bdale@gag.com>
Date:   Sat Nov 21 11:00:43 2020 -0700

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 42226344f0b5443fdd93034dd51e608370717c46
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 5 21:59:27 2020 -0800

    ao-tools/ao-dump-up: Recognize MicroTest data
    
    Spit out a special message when MicroTest data is read to make testing
    µPusb easier.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a9d4856d3f03fae159c120d8d8030c78eaf15253
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 5 21:58:04 2020 -0800

    altos: Add 'microtest' -- micropeak load for testing µPusb
    
    This is custom MicroPeak firmware that just repeatedly generates
    constant flight log data which can be used to validate µPusb boards.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 898ef1a085f9d4541c3987d8d4f0daac0093ed49
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 29 11:41:55 2020 -0700

    Version 1.9.6.1
    
    Intermediate release containing altoslib fixes for TeleMega v4.0 in
    Antenna Down configuration.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6dc5b468f84f04f28ea83757cee0486f654fb234
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 29 11:40:25 2020 -0700

    altoslib: Delay accel cal value adjustment until data all read
    
    Instead of trying to compute these values as soon as the necessary
    data are available, delay until all data are available as which data
    are necessary depends on the target device, and some target devices
    don't have some of the data values at all.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ceca79d6b20cf623e7a7214e400347fc0bc019dd
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 29 11:38:55 2020 -0700

    altoslib: Fix accel inversion for TeleMega v4.0
    
    TeleMega v4.0 uses the adxl375, just like EasyMega v2.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4358d83ba96b072cabd344e287fa77005968690f
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 29 11:37:03 2020 -0700

    altoslib: Avoid sending negative accel cal values to flight computer
    
    Pre-1.9.7 firmware does not handle negative values. Instead, send
    large positive values which will wrap around to negative values inside
    the flight computer.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d1a2932e080041cfe107e00e7b23213026d1fb81
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Oct 28 14:32:16 2020 -0700

    ao-bringup: Delay before testing easymini for 0.25 seconds
    
    EasyMini isn't quite ready to play when the USB is first detected as
    the sensors haven't yet been initialized. Wait for 0.25 seconds to
    give the board time to finish initializing.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6a1d6499fd7ca2b3a9702e21af2a7584ef2b6480
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 26 21:53:54 2020 -0700

    altos: Don't wait after igniter in manual mode
    
    There's no reason to delay between igniter firings in manual mode, and
    it slows down testing.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c992792ba6a76a0bc1d31ccdcffa2d6ca52a9e55
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Nov 16 10:50:49 2020 -0700

    put notes in Releasing about keeping doc/header.inc up to date

commit 427e67f9e8914327243c0fdd1379365fe4e03623
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Nov 16 10:47:53 2020 -0700

    TeleLaunch docs should use telelaunch.txt, update copyright year, lose "draft"

commit 6e001281b01176963836d7b7d0bd6973b788dd63
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 23 17:05:37 2020 -0700

    altoslib, altosui: Don't show apogee/main for EasyTimer Fire Igniter
    
    Don't create igniter lines for a device which doesn't have them.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a214f039e8404da7529b6799ab6a907c3744e1bc
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 23 16:14:13 2020 -0700

    altos/easytimer-v1: Switch from including adxl375 to bmx160
    
    These aren't really necessary at all as ao_data includes them, but
    it's nice to have them listed for documentation purposes.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1a3c0805f88c50f27dd4e78b9be2a4c3ef9e46c8
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 23 16:13:47 2020 -0700

    altos/easymotor-v2: Increase default flight log size
    
    Switch to 4 flights by default, with 2MB per flight.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a9014be707c4325b55e0f2797796e7c96aea1e03
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 23 16:12:36 2020 -0700

    altosui: Match against basestations when determining remote
    
    These two cases were matching against !altimeters instead, which isn't
    true for EasyMotor or EasyTimer.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 40c6aa050654d43f20c6a9c6bd67541e1747ae38
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 23 16:10:43 2020 -0700

    altoslib, altosuilib: Get Idle Monitor working with EasyTimer and EasyMotor
    
    This involve splitting out the gyro and mag sensor handling from the
    3-d accel stuff, displaying only information that is present. The IMU
    support now allows for using the along axis as the primary
    acceleration indicator. The Adxl375 now allows using all three axes as
    the 3d accelerometer.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b6c066d7261d398cb7bfe6503518022194431337
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 23 16:02:07 2020 -0700

    altoslib: Set all 3 axes of accel cal data when present
    
    Use the new accel cal function in altos to set all three axes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f7c8f0b14cf19804106860a5689cf1f37df20669
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 23 16:00:01 2020 -0700

    altos: Make accel cal take three axes when present
    
    This allows AltosUI to save/restore all of the accel calibration
    values instead of just the primary axis.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ecf782359d3038399049ec5cc0a2b3071e14c78f
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 22 20:48:26 2020 -0700

    libaltos: Add windows override for EasyTimer USB ID
    
    Windows doesn't use the product name from the device, instead it uses
    whatever was in the .ini file, which was "TeleTerra" for the EasyTimer ID.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 365bfb9c0720d537c7d65baf871d5dcd7c08de35
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Oct 22 20:52:03 2020 -0700

    Update 1.9.6 release date. Add note to Releasing about date
    
    Need to update the release date as well as the release version; that's
    where all of the dates in the various docs comes from.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit dcd1feb83e5534ea3135358456b748f242878b46
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Oct 22 16:19:33 2020 -0600

    releaseing 1.9.6

commit 38bcc2b8b2b560271902eb8a3eba467866a38628
Merge: 628da1fe c16cb712
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Oct 22 16:17:33 2020 -0600

    Merge branch 'master' into branch-1.9

commit c16cb712f5dc2ad42a9bccbfc28f6b70704ccd55
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Oct 22 16:17:04 2020 -0600

    update configure.ac for 1.9.6 release

commit 837ef5987a71a51cc42c3410bd440043a34fdd8c
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Oct 21 22:11:18 2020 -0700

    doc: Mention BMX-160 self-test fix in 1.9.6 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f2f10bf2c85ca7ec0cfb71c75a5bf77512072ba8
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Oct 21 22:01:47 2020 -0700

    libaltos: Add pre-built windows dll binaries
    
    Current Debian unstable builds versions that don't run on all Windows
    10 machines.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit edd50c5397764c8c8091e337f4045c806ff513ea
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Oct 21 21:45:53 2020 -0700

    doc: 1.9.6 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3ace827de5907ee77ffdfcf54b0822a1e65570ea
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Oct 6 18:54:27 2020 -0700

    altoslib: Don't pass along GPS information when the GPS device is busted
    
    If the telemetry packet indicates that there's no functioning GPS receiver,
    then don't pass along those packets so that the UI displays things more accurately.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 29c5336f775eacbfee354000c8b28de1813ede81
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Oct 6 18:53:38 2020 -0700

    altoslib: Add defines for EasyMotor
    
    Just USB ids and product names.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c507e143aac0bc251b02bbe3c812bf81b7026ff7
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 17 15:29:11 2020 -0700

    altoslib: Clip accelerometer-based speed to >= 0
    
    Negative vertical speeds computed by axial acceleration aren't
    sensible, so just clip them to zero so that plots are more useful.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2a0a683b06fefbf1b17cba2dc1bbe877a19ce9f4
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 16 20:54:32 2020 -0700

    altoslib: Limit .csv file output to valid fields for EasyMotor
    
    EasyMotor doesn't have a baro sensor, gyros, mag sensor or igniters.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 17ad31dcc24c66a9f4b3f1a1cd3689fbe5f16874
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 16 20:53:56 2020 -0700

    altoslib: Easy Motor v2 x axis is inverted
    
    Provide positive accel values along rocket axis
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 02c7bb11a8a4270e40bd1f42abd00ae849ff7539
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 16 20:52:48 2020 -0700

    altoslib: Correct ADXL counts_per_g
    
    When ADXL 375 is used as a 3d accel (as on EasyMotor), need the right
    counts_per_g to do conversions.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 85e22ee20974792c2376bf11a9f79e17e4008da9
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 16 15:30:35 2020 -0700

    altoslib: use motor pressure calibration data for EasyMotor
    
    EasyMotor stores an average sensor value for motor pressure, use that
    to report pressure above that value.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6f3e0411acffa7ff8b4b92b68abbe05482f9bf65
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 16 15:29:12 2020 -0700

    altoslib: Report metric pressure in kPa instead of Pa
    
    Reduces the magnitude of pressure data when displayed.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 42ff9c7c096ad2b8e9a6152292ab12d315985aff
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 12 16:48:42 2020 -0700

    altoslib: Add EasyMotor EEPROM support
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 76b595f2daafe10941b380fe74fd12d1467ba029
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 12 16:47:54 2020 -0700

    altosuilib: Graph motor pressure
    
    Use a separate axis from atmospheric pressure as the range will be
    rather different.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6ac469fb46e9fabfd473b9a3d8bcd92db00b98b2
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 12 16:46:28 2020 -0700

    altoslib: Add 'motor_pressure' data value
    
    This value tracks the internal pressure of a motor in Pa.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 41538b1b600eef242d1ede9fe9039d1079f6891a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 12 16:40:41 2020 -0700

    altoslib: Add conversion for motor pressure sensor
    
    This assumes a standard 0.5-4.5 range 1600PSI sensor.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 109e39eb88e5f1fd897d0b818c7654b367ee8522
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 12 16:40:03 2020 -0700

    altoslib: Initialize gyro offset values to MISSING
    
    This lets us detect a device without a gyro sensor.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c5796f686b1bf9e4effd7f9d8dca2ee5d7a38a16
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 16 20:48:55 2020 -0700

    altos: Reset 3d-accel and motor pressure sums each ground interval
    
    We're repeatedly averaging 512 ground samples to get up-to-date values
    for all of the sensors, but we need to clear the sums after each
    sample interval. The 3d accel values were only cleared if there was a
    full IMU, not for devices with only an accelerometer like
    EasyMotor. The motor pressure sum was never cleared.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f10009b07b651f69014ac5608f3ca29bce874c24
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 16 12:59:48 2020 -0700

    altos: Add motor pressure calibration data to easy motor log
    
    Compute an average of ground motor pressure values and store those in
    the log data in the AO_FLIGHT record.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a7f1925b81a429d9f387f7e26433326e37c43d4f
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Oct 16 12:57:07 2020 -0700

    altos: Support negative decimal values on command line
    
    Add support for leading unary minus for decimal constants.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6e69377ef31ecff5443177b51d7cd2b084e63523
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 12 16:55:23 2020 -0700

    altos/test: Clean up easy motor test jig
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c66f494160bd2e99c01510acdd7e2d6624fc017a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Oct 12 16:54:34 2020 -0700

    altos: Log motor pressure and battery voltage for EasyMotor
    
    These were not logged at all.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4370b7e7bc48d3f3f3ec94665449f1fde4e9567c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 10 22:00:56 2020 -0700

    altos: De-bias height/speed data while on pad
    
    Save speed/height values from 64 samples ago and subtract them from
    the current value. This reduces the effect of systematic accelerometer
    error causing these values to slowly creep when there's no barometric
    sensor to keep them in check.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a7d8a0f8b26bf62b63f12110d6d66a4f9da76eae
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 10 22:54:00 2020 -0700

    altos: Change adxl375 self test parameters
    
    Try to make it not fail self test while horizontal
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 01b89c384e80990505a5abea18489360052beb70
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 10 21:56:38 2020 -0700

    altos/easymotor-v2: Add 'through' axis definition
    
    This is used by the ao_flight_test_code
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 32e0a6e3ee51f3c9bc150bb1a6890a82bcdd050f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 10 21:56:06 2020 -0700

    altos/test: Build ao_flight_test_motor
    
    This tests the flight code in easymotor mode.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 291eddc6376dc414a32aab51d4ee7c4212e3e69d
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Oct 10 21:55:36 2020 -0700

    altos: Let ao_data.c be used by ao_flight_test
    
    Just skip the ao headers in that case.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e48b6689527f51cc589ccd0ee88e2c7bc05747e0
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 18:32:41 2020 -0600

    altos/easymotor-v2: Beep out 'pad mode' repeatedly
    
    Easymotor doesn't have igniters, so it would have been silent on the
    pad, which seems bad. Add HAS_PAD_REPORT code which beeps out 'pad'
    once every five seconds.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 48c8efaae7ce8de8bb0727009436813cd4b560e7
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 18:31:25 2020 -0600

    altos/easymotor-v2: ADXL375 is upside-down compared with other boards
    
    Clear AO_ADXL375_INVERT to make it work
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f1ea931ca808b120b5f378269aa9a6e38e90b8af
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 18:15:14 2020 -0600

    altos/stmf0: Fixup for SPI mode support
    
    The desired SPI mode comes in 'spi_index' and needs
    to be split out before spi_index is used for pin configuration.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c1ed5c2249abb7bd1bc85091179d5d208e776da6
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 18:13:42 2020 -0600

    altos/easymotor-v2: Fix beeper config
    
    The beeper changed pins at some point during the design
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4cdef1d311d5cdc18550fb51b31c3becf1dd86fa
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 18:12:10 2020 -0600

    altos/easymotor-v2: Use same init order as easymini
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c2dbbf99e503b9e3cde37af35a8ba33220be187c
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Aug 21 20:40:44 2020 -0600

    recover easymotor-v2/flash-loader/ao_pins.h from backups

commit fa4bb77064a2606e82091e3e533dac897912c627
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 13:11:39 2020 -0700

    altos/easymotor-v2: Get easy motor building
    
    Add some missing files and adjust configuration.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 80a7cdfe3d6256cc86861195a78f422828b4ecc1
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 13:11:16 2020 -0700

    altos/easymotor-v2: Add .gitignore
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 48e0da4b2d1568f9f29058def12dc32d1cff3586
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 13:09:17 2020 -0700

    altos/stmf0: Add spi format configuration options
    
    This lets different SPI devices use different SPI formats
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 18e24df0353c78ada8cc1d2439729bc2f2676205
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 13:07:01 2020 -0700

    altos: Support accel-only IMU configurations
    
    This doesn't compute orientation, just allows for calibrating and recording
    3-axis acceleration data.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4006bf474f4fee1e2d47fdc930b3b08b4fecbe24
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 13:06:01 2020 -0700

    altos: Add EasyMotor logging support
    
    Log EasyMotor sensor data.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3a3fb807394a534b6d44aa089f3b72a95ff9085d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 13:04:27 2020 -0700

    altos: Allow use of ADXL375 as IMU
    
    This lets EasyMotor report all three axes of acceleration and use
    that for idle detection.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8ddade934e965e19b760cdde4eb8ecadf6abf70c
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 12:51:16 2020 -0700

    altos/drivers: Add ao_adxl375_accel_to_sample macro
    
    This converts from acceleration levels to sample counts for use in
    detecting stability of airframe after landing when no other IMU is
    present.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e5e240e764d3bf8196a3f5b5fb1a639ad0723138
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Jul 27 14:52:50 2020 -0600

    easymotor: override .gitignore to store Makefiles

commit a0aad75a2a54cd9d478cc44159d7d01b549f806e
Author: Bdale Garbee <bdale@gag.com>
Date:   Sat Jul 25 18:07:36 2020 -0600

    first cut at EasyMotor v2 .. not compiling yet

commit a8ced69631415e26329594f7f0ae98dec577d1ae
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 30 15:53:38 2020 -0700

    libaltos: Avoid using strcmp and strchr on windows
    
    At least one of these caused the library to not load on Windows
    10. Work around that by changing the code to use vid/pid instead of
    matching on the name provided back by the OS.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2d44477f5ab4ad82ba658eb327c25c61c8056035
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 30 00:20:24 2020 -0700

    altosui: Include telelco and telefireeight firmware in FAT builds
    
    AltosUI can reflash these devices, so best to include the firmware
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2a6c0e80f64e793b68e29a18fafad730b55a06b6
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 29 23:58:10 2020 -0700

    altos: Fix flash loader map file names
    
    Make sure these include the product name too.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6846db985d77c25b4deb5f8a763eec245a0a3a71
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 29 23:57:26 2020 -0700

    altos: Remove linker map files during 'make clean'
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f4448213efbafe2df53ad8d62d5be74473b794a2
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Sep 30 00:49:14 2020 -0600

    Releasing: updated with changes from 1.9.5 release

commit 628da1fe429045c7c687f8bb96ded7da9f437706
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Sep 30 00:18:31 2020 -0600

    releasing 1.9.5

commit f763dfe6a684a16ec40503149adefdc074a63ad0
Merge: bfe338d1 a1779f94
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Sep 30 00:17:03 2020 -0600

    Merge branch 'master' into branch-1.9

commit a1779f9442787dbd5c40edbb476e6b765392196e
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 29 20:10:38 2020 -0700

    Version 1.9.5
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 67e8e9b5b51e259eda4a669de527111851bab78f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 29 22:02:56 2020 -0700

    altosui: Work around lack of actual USB product names on Windows
    
    Windows doesn't provide an API to get the USB product name for
    attached devices, it only provides the name listed in the .inf file
    for each vid/pid. This means that you get 'TeleMega', or 'TeleMega
    can't isolate the list to the correct version.
    
    With this fix, at least the '#2' is stripped off, and the matching
    code restricts itself to showing only TeleMega files instead of all
    filenames starting with 'tele'.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9bee7d9b6be861909d8c89767f6eabf007f76612
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 29 20:08:31 2020 -0700

    altosdroid: Copy generated .apks to bin directory
    
    This places them in the same location as the previous build system.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1fa1ba86f6e6e4ff469f0680cdbc39bc806474a4
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Sep 25 20:06:18 2020 -0700

    doc: Add 1.9.5 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2d239b9bf600fac46717980f45de3ca7a242236f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 1 18:47:23 2020 -0700

    altoslib: Print more helpful debug messages when checking rom version
    
    Make sure success and failure include enough info to debug what
    happened.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5bdc63a2086c1ffd4c34c9a503af638a47a1d98b
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 1 18:31:03 2020 -0700

    libaltos: Update to support Mac OS X 10.15 (catalina)
    
    They decided to break device names reported by USB for some reason,
    but at least the real names are still available under a different
    name.
    
    Also updated the Makefile-standalone to work on my current box;
    presumably the next time I build this I'll have to update again...
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 583a749724700845d2d3552a0d3a759f16b25cfe
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 31 20:52:43 2020 -0700

    macosx: Update macosx install script
    
    Use dialog engine to monitor progress and get sudo password
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ffbd99545ca0462161c24e0ed86978544f2c28f6
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 31 15:08:08 2020 -0700

    altosuilib: Make dialogs mostly scrollable
    
    When screens are too small, some dialogs aren't usable. Fix that by
    wrapping them all with a scrollable pane.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 521dc6dbf9aa5f7aad7829cd98a815031725ac24
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 31 15:07:13 2020 -0700

    windows: Point windows users at adoptopenjdk.net by default
    
    This gives them a free software java which works fine with altosui.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7fc37f145a6ec3f913e908b6500d1e2c6dd405c8
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 31 15:05:41 2020 -0700

    macosx: Hack JavaApplicationStub to set freetype properties
    
    Set the FREETYPE_PROPERTIES environment variable to revert to
    non-fuzzy text.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 075999e274dd1815b15c0d717d1af4e7717e5da9
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 31 15:03:57 2020 -0700

    altoslib: Set default logging directory to $HOME/AltusMetrum
    
    Change from ~/TeleMetrum
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4e07392c65ec512e3309d89c7465c1406a941b66
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 31 15:01:18 2020 -0700

    libaltos: Map generic windows device names to actual names
    
    When we signed the .ini file for our windows 'driver', IDs 28 and 2c
    hadn't been assigned to EasyMega and EasyMotor, so that file has
    generic 'AltusMetrum28' and 'AltusMetrum2c' instead. Updating that
    file is 'hard', so just map the names in the driver instead.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0d298df9e4cf945f3d0dfdb583af07e498c685a0
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Sep 18 11:38:06 2020 -0600

    docs: add explicit admonition about avoiding 'c f' when configuring TeleLaunch

commit 95b31cb200d59917fd3ad03c5c3a0ad99c8a140d
Author: Bdale Garbee <bdale@gag.com>
Date:   Fri Sep 18 11:34:56 2020 -0600

    docs: fix horrible typo in TeleLaunch configuration section

commit 23e148bb3379969935bcbbbeb6c8dc66c0474f6d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 15:34:26 2020 -0700

    altosuilib: Allow config to be missing in rom config dialog
    
    If the configuration data can't be fetched from the target board, it
    will be missing while building the dialog box. Deal with that.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2289fd36f7ba76692fe07d2ebc8d7eda33750180
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 15:32:57 2020 -0700

    altoslib: Deal with reflashing EasyMega boards with ancient firmware
    
    Ancient EasyMega firmware included radio calibration data in the
    romconfig bits, which has since been removed. That means the config
    data from those boards will be at a different location than current
    firmware. Deal with that by poking around in firmware looking for
    valid bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 335e40873c238a67cea2c63d62b73fd9d29e94d2
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 10:55:30 2020 -0700

    doc: Fix spelling error in updating-firmware section.
    
    Thanks to Timothy Dixon for catching this (copy-and-pasted many times)
    typo -- could sequentially -> count sequentially.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c1b754c12ac32ed38a561d8b35dcbdf82beea896
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 10:53:25 2020 -0700

    altosui: Improve configuration save feedback
    
    Mark window title as (modified) with any unsaved changes. Disable the
    'Save' button while the save is happening. Wait for the re-load of
    configuration values before clearing the '(modified)' state. This lets
    you see when the flight computer has accepted the updated values.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 10a10667a28f82c24d895e44617e68c7c1848c45
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 23 10:51:00 2020 -0700

    altoslib: Improve configuration performance over remote link
    
    Avoid re-setting dongle radio parameters when they haven't changed
    during device configuration setting. This avoids flipping back and
    forth from remote to local mode three times during config save.
    
    Wait for remote end to say 'Saved' before dropping radio link. This
    ensures that the remote end actually gets the save command before the
    link is terminated.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b3297909e58a2709d340f65181c22ef82341afb9
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Aug 19 14:38:04 2020 -0600

    fix broken TeleBT turnon script

commit f82e0c5e3a3b3a505e35df23301cdc7dd4b1a869
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 21:51:39 2020 -0700

    altoslib: Flush output when disabling remote
    
    This speeds up sending data to the other end.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 783a541d661f24f2df1dee86bad2e47950bee9da
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 21:50:38 2020 -0700

    altoslib: Don't fetch config data for every idle status
    
    This makes fetching data during idle monitor much faster, especially
    now that fetching the list of stored flights takes so long.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bbd052c0ad5b99673cf583198e50e6ed351fdfb7
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 21:49:37 2020 -0700

    altos: Allow multiple manual firing of main/drogue channels
    
    Reset the 'fired' status so that you can trigger these multiple times
    without needing to reboot.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f3c8946d992889edabffbab40aead578963de75f
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 21:48:09 2020 -0700

    altos: Don't report inhibited pyro channels as fired
    
    Inhibiting channels happens when the channel conditions change during
    the delay period and was done by marking them as already fired. This
    worked, but the log file would then indicate that the channel had
    fired when in fact it was inhibited instead. Separate out the inhibited status
    so that the correct data appears in the log.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 38db8202a4d6ab90305768410f1a37106cc95794
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 20:20:59 2020 -0700

    micropeak: Add support for MicroPeak v2.0
    
    MicroPeak v2.0 sends a 'unique id' with the log data; capture that and
    included it in the file name.
    
    MicroPeak v2.0 can be directly connected to the host using the µP I/O
    board. Handle that case by sending the 'l' command which will cause
    the device to dump the log.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0743e7213729df629aea90b3a5dc904fe397b5cb
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 20:19:28 2020 -0700

    micropeak: Fix top-level window building
    
    The menu wasn't actually working, and the application would randomly
    start at the wrong size or crash.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7dd23ac750226746f340df64107dab84cd7ea113
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 20:18:10 2020 -0700

    micropeak: Check for empty data when fetching log
    
    Don't pop up the graph window and don't save data from an erased
    device.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 838d359ed8676f056fe487dad3dfbec34bd65009
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 20:16:55 2020 -0700

    altos/mpusb-v3.0: Make this build again
    
    It's not built by default and the requirements in the Makefile have
    changed.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 52eaf4a2480ac0fd367978e423e2f252949f978b
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 20:15:32 2020 -0700

    altos/micropeak-v2.0: Functionally complete.
    
    Get flight mode working correctly.
    Offer log dumping from serial link.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 999b3598019c75d77af6ab40c1942a7d57a2ec3c
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 20:13:50 2020 -0700

    altos: Add MicroPeak v2.0 support to ao_log_micro
    
    Support 4-byte sample count (required for stm32l0 flash storage
    limitations).
    
    Mix in log ID on-the-fly so that erased flash parts still report
    device type.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 476fd2f2c23da427b6b2a68f7d285767a924041e
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 20:12:22 2020 -0700

    altos/stm32l0: Big update in functionality
    
    Fix baud rate setting in LPUART
    Add code to turn everything off.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7b1f4177d42e5e951a7db4289c847d355a785c2a
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Aug 6 11:05:03 2020 -0700

    altos: Remove support for !HAS_TASK_QUEUE
    
    This uses a bit more memory, but the amount can be controlled by
    setting the size of the sleep hash table, which makes this fit on even
    the smaller devices like the early EasyMini boards.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a6baf04bae3fe6a6b3da2f456419732ffeb4d056
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 18:17:07 2020 -0700

    altos: Remove ao_led_toggle API from general code
    
    The generic implementation would need to record LED status as it
    cannot be read back from the device on most hardware. Just get rid of
    it and let attiny keep its implementation (which does work).
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0385d7d68c51e05f5b555749ccc20e3c7c202370
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 18:15:47 2020 -0700

    ao-tools: Add TeleGPS log parsing to ao-eeprom
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9df66f7589b663899e2c729b884eed4b64e5d4da
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Aug 6 10:44:49 2020 -0700

    altos: add noreturn attribute to ao_panic
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 33ea5b3658377cea325db285a3e457724f660384
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 5 22:32:14 2020 -0700

    altos/stm32l0: Add LPUART driver
    
    This is a simpler UART which micropeak has connected to the LED and
    we'll use for transmitting the log on power up
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 980d54134bedb64d506c0702f09b4d5277000848
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Aug 5 17:17:47 2020 -0700

    altos/stm32l0: Provide ao_spi_speed inline as per new clocking API
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2cd7ecf437bec322e6a201992d0404f31207bd68
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:22:21 2020 -0700

    altos/micropeak-v2.0: Finish hardware bring-up
    
    All of the hardware is working:
    
     * serial
     * SPI
     * ms56067
     * ADC
     * flash
     * clocking
     * timer
    
    Now we just need an application
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 845b51d09a6a6f257aebb6db202b12ee1fa9ed7e
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:21:57 2020 -0700

    altos/stm32l0: Add adc and flash drivers
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d2b750a04bbaf428a38fd95891a7ce1cc7d3d2f3
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:21:26 2020 -0700

    altos/stm32l0: Remove some unused code in ao_timer.c
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9dea51ca2174d86d5ab4a8a27179519b34869a36
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:20:56 2020 -0700

    altos/stm32l0: Remove some unused code in USART driver
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit db7bf095dfa75858eb12328f104051ea1686e1d5
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:20:26 2020 -0700

    altos/stm32l0: Get exti working
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e58d08a93818b3d60746f0f17b34e96fbf8ba0e3
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:19:47 2020 -0700

    altos/stm32l0: Get SPI driver working
    
    This isn't using DMA, but it seems to work now.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b0c4df25a0c419eeb53e0e241489c0bd6bee04ef
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:19:11 2020 -0700

    altos/stm32l0: Some device addrs were wrong
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3df505b02fb7d4ba2d40351e658931b02425b74f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:18:27 2020 -0700

    altos/stm32l0: More DMA fixes
    
    This code still doesn't work, but it should be closer'
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1e1a84e9ea21ef6037a2127098499e294d293fa8
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:17:03 2020 -0700

    altos: Micropeak v2.0 doesn't have a flash loader anymore
    
    The current version doesn't have USB, so the existing flash loader
    protocol won't work anyways.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0375e9840ea1bcc486b56ccb3aaace57875312a7
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:16:28 2020 -0700

    altos/ao_storage: Allow apps to #define storage parameters
    
    This avoids placing them in RAM.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 45b00da14ea814cf8f14dcb2cfaccaddd0fbb38d
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:15:28 2020 -0700

    altos/ao_storage: allow erased byte value to be set by application
    
    External flash is usually 0xff for erased bytes, but other memory may
    use different values
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6b4da0492c6d9066c8a118fba9b8ffca02fa84ba
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 23 16:15:14 2020 -0700

    remove ao_delay_until from ao.h

commit 48bc180211f226b0406aae28a85d5e5ee77455a2
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 22 17:42:03 2020 -0700

    altos: Add ao_delay_until to ao_notask
    
    Used on micropeak
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b4a31f4bba8edee32d4f41780bd62bcfa064f20a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 22 17:41:11 2020 -0700

    altos: Move empty ao_mutex_get/put to ao_notask.h
    
    Make it work on any no-task project.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7cd8e0aca8ea42a5ff077971e439b0816608b324
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 20 15:15:35 2020 -0700

    altos: Declare ao_delay_until API in ao.h
    
    This uses AO_TICK_TYPE which isn't defined until we get to ao.h
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit eea198932b8f12d4729f6138a40489d954d6f93a
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 20 15:14:26 2020 -0700

    altos: Switch micropeak v2.0 to stm32l0
    
    The stm32f042 takes too much power for micropeak. Try the stm32l0
    instead.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d907b0fe40d31995848e5b207009ba230da2e36e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 20 15:13:09 2020 -0700

    altos: Add initial stm32l0 support
    
    A low-power cortex M0 chip for MicroPeak v2.0
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b8a9273162b7016afc29f4c98fc3b66324d4c85b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 20 15:00:28 2020 -0700

    altos: Fix a bunch of time variables to be AO_TICK_TYPE
    
    The default tick type is now 32 bits, so all of these
    variables were mis-typed at 16 bits.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 304dbcbff72c6fa66c71224ecf98ec55447ffff7
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Aug 7 20:08:34 2020 -0700

    altos/stm: Fix stack validation code
    
    This is not included by default, and broke at some point.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ff3a2de3223f5cf3fd87f40cd9961e2c2890a867
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Aug 3 12:43:22 2020 -0600

    doc: EasyMotor and EasyTimer have the same mounting geometry as EasyMini

commit 21da942560863ed191953e1af2fbca66bcc29fb8
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 17:29:44 2020 -0700

    altos/stmf0, stm32f0: Call ao_boot_chain to start application
    
    This used to be done inside ao_boot_check_chain or ao_boot_check_pin,
    but it made more sense to have it done in _start instead. stm and lpc
    were adjusted, but stmf0 and stm32f4 were missed.
    
    This caused boards using this process to wedge in the boot loader.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6b5e5899d174466552a34a4d8574f0439776240d
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Aug 2 13:31:58 2020 -0700

    altosui: Re-set pad orientation labels after product name is set
    
    We don't know what product is being configured until after we query
    the configuration, which means we need to re-set the orientation label
    once that has been fetched.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 341157c7415fcf879696c9d8167722a0c5ff264c
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 29 10:53:39 2020 -0700

    altos: Use new ao_spi_speed inline to set SPI speeds using spec'd frequencies
    
    Instead of hand-adjusting SPI speeds for each driver and product based
    on processor supported rates, create an inline function that takes the
    maximum frequency supported by the device and maps that to a value
    supported by the SoC. This ensures that we don't accidentally drive devices
    faster than they want (as could happen with AO_SPI_SPEED_FAST), but do go
    as fast as possible in every configuration. Using an inline function means
    the value is computed at compile time.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 202166275ba5220db54f63dcd9366e9115d09c0d
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jul 28 23:44:33 2020 -0700

    altos: Support flash parts > 8MB
    
    The number of sectors (64kB) units in the connected flash
    part can be larger than 255, so switch from 8-bits to 32-bits for
    holding this value.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c56bcc315ac29d001e62859b61ede890a8b7c64f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jul 28 23:43:04 2020 -0700

    altos: Protect shared storage_data with mutex
    
    As storage_data is shared between all threads, protect it
    with a mutex to avoid collisions.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8a24d37e40210b1fb5cdab944c3a6d9ae4e144d7
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jul 28 23:40:36 2020 -0700

    altos/stm: Increase MISO DMA priority to very high
    
    We're still losing incoming bytes in full duplex mode.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3058ecdeafdee959b1103965f3df4ffcd59683e4
Merge: 0a53faa8 8ec51d69
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Jul 22 15:23:02 2020 -0600

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit 0a53faa8173565b1277d1a35c60022de567c2dce
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Jul 22 15:22:21 2020 -0600

    ao-bringup: ensure TeleMega turnon scripts are using the right test versions

commit 8ec51d698921d07c394e6e0e48ac5d587f70ece8
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 22 09:04:30 2020 -0700

    altos: Add 'booster' mode for dual-deploy igniters
    
    Booster mode triggers the 'main' channel at first motor burnout
    allowing the use of a simple flight computer in the booster while
    providing both a separation charge and an apogee event for recovery.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d0c0dec140b8fa847704c9a22a39d254445188b9
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 22 08:57:05 2020 -0700

    altos: Use state transitions to directly drive igniters
    
    Instead of a separate igniter API, have the igniter code monitor
    flight state changes to trigger igniter events. This simplifes the
    code while allowing further changes in the igniter code.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6ff8e55581ca85b9cc892806a2481d57a65e8bae
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jul 22 08:56:10 2020 -0700

    Releasing: save .map files too
    
    These are useful to debug issues with linker scripts or library problems
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4c5942fb082811f136322ec26de615cdb7e17580
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 16 10:23:34 2020 -0700

    Add support for TLS if needed
    
    Define USE_TLS if you want TLS support from altos.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8066ce73d96f85efe7f5e51b1576b5fd0ff9565e
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 16 09:29:52 2020 -0700

    altosui: Spurious ; in altos-windows.nsi.in kept out TM v3.0 ihx
    
    Looks like a semicolon got stuck in this file, which commented out the
    TeleMetrum v3.0 firmware from being included in the windows build
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bfe338d11965d2d1715bdd81d92ef32f1b5ff9fa
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Jul 2 20:21:19 2020 -0600

    releasing 1.9.4

commit 8359fcc23a93a37ee3aee4c5d2ef183f18ea3f27
Merge: b95d6674 9b62f683
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu Jul 2 20:20:59 2020 -0600

    Merge branch 'master' into branch-1.9

commit 9b62f683ff770970a87444dc25522fd771079333
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 2 15:26:10 2020 -0700

    Version 1.9.4
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f74016150880265b3edb70637a6be3e6499432de
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 2 15:18:56 2020 -0700

    doc: Doc updates for 1.9.4
    
    Add release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b08a793fb6e6167d635bfbd31605a43db1f5ac5d
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 2 15:24:01 2020 -0700

    altos: Make AO_STORAGE_TEST use a separate buffer
    
    The storage test code needs a buffer which can hold an entire erase
    block from memory, which means 256 bytes.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 651c66ce117f479158fb0eebd9af6d73f0d9875a
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 2 15:11:42 2020 -0700

    altos: Reduce flash temp buffer to make space for Em v1.0 ISR stack
    
    EasyMini has limited RAM; small enough that increasing the size of the
    storage buffer from 128 to 256 bytes left too little space at the top
    of memory for the interrupt stack, causing EasyMini v1.0 to crash at
    boot.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 35b69569472b00e6937a5d3136d0c400f6b0378f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 22 17:33:08 2020 -0700

    Add telemetrum v3.0 firmware to release
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f337aecd0370f81c84c84857e1b6325350d96a81
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Jun 16 12:28:39 2020 -0600

    ao-bringup: first cut at turn-on scripts for EasyTimer v1

commit b95d6674d29534363c1d8f46280c028864bdca10
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Jun 15 20:34:50 2020 -0600

    releasing 1.9.3

commit f31d842d0e07a1893441cb89fb287b31b86d28c1
Merge: 0fd503fb f615725c
Author: Bdale Garbee <bdale@gag.com>
Date:   Mon Jun 15 20:26:35 2020 -0600

    Merge branch 'master' into branch-1.9

commit f615725cb6f963cf46715e936e1d60ce7866c3bb
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 15 19:11:49 2020 -0700

    Version 1.9.3
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 765d4c96510c823b4e9410c55ba8466438846029
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 22:50:40 2020 -0700

    doc: Update doc for 1.9.3
    
    Add release notes.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4ab5855abccf704cc4cdbafb0e995de0a0162af5
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 21:37:44 2020 -0700

    Update 1.9.3 release notes
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d304f0ea2bfc48abc8c310828aa10c6d642065d0
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jun 14 00:04:31 2020 -0700

    altos: Leave floating printf enabled on m3 devices
    
    These devices all use floating point computations, so leave the
    floating point printf included in case they print one of those
    values. If we run short on flash space, we can switch back.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 91b6d1e56a37a2cfae53c3727feaaa40505f48d9
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 23:39:00 2020 -0700

    altos: Fix printf format mis-matches
    
    Lots of values passed to printf are 'long' instead of 'int', so
    fix the formats to use the right size indicator.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d0adf3f44b4a1b4bfc966dd4841c74157f60d604
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 23:36:13 2020 -0700

    altos: Remove newlib-nano defines from Makedefs.in
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4802fe6dcae0e57c2e992dde008e3bcc84ea8d7f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 23:13:35 2020 -0700

    altos/test: Ignore ao_flight_test_mini binary
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f550b645438e9f41afe0a45ff09caf05cf20003f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 23:12:55 2020 -0700

    map-server: Manifest files are generated now
    
    Ignore in .gitignore
    Remove in 'make clean'
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 52e0efd79e9043cde384089863920986a7331764
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 23:11:49 2020 -0700

    Add EasyTimer firmware to packages and Releasing
    
    Make sure we include EasyTimer bits where required
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 00646d2700a2f4cf500e716e5a111057e3820475
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 23:09:54 2020 -0700

    Check for picolibc when testing arm compilers
    
    Remove configuration checks for newlib as picolibc doesn't need
    separate configuration variables.
    
    Make sure test program actually links as this tests to make sure
    picolibc is working.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b9cc05bd3d417c957f47a64493f4a22caf660c55
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 22:40:42 2020 -0700

    doc: Update for EasyTimer
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d2eee4b8a3f358e2d649096149f3cedc1a39927e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jun 13 22:39:35 2020 -0700

    doc: Avoid mis-interpretation of '+' in device wiring tables
    
    Looks like asciidoctor does something magic with '+' characters in
    table contents. Avoid this by using +++. Sigh.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d779d8e5b1106aaec6170761e6f5bd4e8d5ac6e7
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 9 11:48:17 2020 -0700

    altos: Fix HAS_FLIGHT_DEBUG for easytimer
    
    Remove baro-specific bits of the debug output when
    there's no barometer.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d9c84d834f7fb4f36cee815dec2642737f73edc4
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 9 11:47:22 2020 -0700

    altos: Don't include baro-specific config values for easytimer
    
    These settings aren't used on easytimer, so don't include them in the
    configuration system. This makes sure they don't appear in altosui.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 97cd271b3febf36d3e9943cea8d74332a128060c
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 9 11:46:31 2020 -0700

    altosui: Remove six-axis pad orientation for easy timer
    
    Wait until easytimer actually has six-axis support
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2781c187d58955bbac5c9fcf498c3b46a84a13d5
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 9 11:45:53 2020 -0700

    altoslib: Fix easytimer voltage conversions
    
    Battery and pyros all use the same circuit (100k/27k).
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b00a155bef319984ec2cf11898355edf94348a4a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 8 22:08:28 2020 -0700

    Add some release note notes

commit 869bc258b727d2046835ac52a361d2ef529895ee
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 8 20:55:28 2020 -0700

    altoslib: Add EasyTimer idle monitor support
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b07ca2827a498e6dd3c6b62819f71679291f9acc
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jun 5 17:15:10 2020 -0700

    Add EasyTimer configuration support
    
    Needed six-axis pad orientation support
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fa30825d015d92bdbc95d2684386beef9fe9dc01
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 8 21:26:23 2020 -0700

    altos: Leave accel data in ring raw; swap for orientation on fetch
    
    Instead of re-writing the acceleration data in the ring to adjust for
    pad orientation, just leave it alone and flip it each time it is
    fetched. Much simpler this way.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c246a366a6e0117e70abafc30db71c0545b88f6f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 8 21:05:17 2020 -0700

    altos: Handle flight_log_max not being multiple of ao_storage_block
    
    In this case, flight records start in the middle of an erase block, but
    now end at the erase block before the next flight.
    
    When checking for an empty log slot, the entire erase block containing
    the start of the flight is checked to make sure it's clear, skipping
    it if not.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 89726f5b1adceb243c5e2d5c958fc13c10f9a2d0
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 8 21:03:31 2020 -0700

    altos: Round selected log size down to ao_storage_block multiple
    
    There was some (broken) code that complained if the value set wasn't
    correct, that has been replaced by code that accepts any value and
    just rounds it down to a multiple of ao_storage_block. The code also
    stops complaining when set to the current value when storage isn't
    empty.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 936eceded2d08f4eb7318b28bd1be6cd3b06a7b3
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 8 21:01:31 2020 -0700

    altos: Move ao_storage_erase to shared code. Add len
    
    This makes ao_storage_erase take an arbitrary length. The new version
    erases each storage block if there's any un-erased data present, and
    then also checks after erasing to make sure the block is clear.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e142c4bd6f2fbab74fb7b7cea7e9a19234ed0123
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 8 20:52:09 2020 -0700

    altosui: Adjust max log setting for storage block size
    
    Need to round log sizes down to a multiple of the block size so that
    erasing works sensibly on the device.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e4c93942bbde7a538d1dca114f20dc827275a8e1
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jun 8 20:49:42 2020 -0700

    altoslib: Remember flight list in AltosConfigData
    
    Do this instead of having to re-fetch and re-parse in AltosEepromList
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 00492a0801eb93ad98be496585741a025ffea16b
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 28 16:45:00 2020 -0700

    altos: Initialize pyro code for easytimer-v1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0f110d01245762d905ad5b7fd1fc7753e17fb249
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 28 16:23:44 2020 -0700

    easytimer-v1: Enable pyro commands
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5bfcefc475698dada8be8a2d66afbfcc064d4612
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 28 16:23:09 2020 -0700

    altos: Fix ao_ignite.c to work without HAS_IGNITE
    
    Need to register commands even if HAS_IGNITE is not set
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0fb9e53a6b62c96d067e2974c5317e3bce638fb2
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 28 15:48:16 2020 -0700

    altos: Build easytimer-v1 by default
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a901ec5fef409a6675c24518aead2925dcd66cc3
Author: Bdale Garbee <bdale@gag.com>
Date:   Wed Apr 8 13:43:22 2020 -0600

    altos: add easytimer-v1 source directory

commit 9416e5d71dc57df6612f62451433a34bf669b2cc
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 28 16:03:23 2020 -0700

    altos: Allow flight support without logging
    
    EasyTimer flies rockets, but doesn't have SPI flash for logging.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d4f1dd045465fbb7436a22d82b279319f7449fed
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 28 16:02:54 2020 -0700

    altos: Allow BMX160 to be used as primary accel
    
    EasyTimer doesn't have a high-g part.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d553e7448fe22f593eb8ab8246e872d856484bab
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 28 16:01:45 2020 -0700

    altos: Allow igniter status beeping with only 'extra' channels
    
    EasyTimer doesn't have main/apogee charges.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2f32a19aedb7d0e33899038e3fb04fe8a773291a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Aug 12 17:00:47 2019 -0700

    altos: Allow accel-only flight code
    
    EasyTimer won't have a baro sensor, so we need some way to track at least
    the ascent part of a flight.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6363403d6c08310a16769bf49b8acc45a08bd619
Author: Keith Packard <keithp@keithp.com>
Date:   Thu May 28 16:00:04 2020 -0700

    altos: Allow MPU9250 SPI speed to be set by application
    
    Rather than requiring 1MHz
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e5e7edb0aed5a183bbdd7484fec75a11160d01d4
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 8 17:20:23 2020 -0700

    ao-tools/ao-usbload: stubs in man page for missing options
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7797000eeaf11027200f12ee7f1eee5ed677f268
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 4 11:58:54 2020 -0700

    Mark stm_interrupt_vector as const so it is READONLY
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 2108da105ed9c915fc09d1251dc655bf11203d79
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Sep 15 17:05:17 2019 -0700

    altos: Move from newlib-nano to picolibc
    
    Use picolibc.ld, which involved some .ld file hacking, including:
    
     1) Defining ao_boot RAM address in the .ld file and declaring it 'extern'
     2) Changing how m0 interrupt vector got moved to ram
     3) Using -Taltos.ld instead of -Wl,-Taltos.ld so picolibc.specs wouldn't add picolibc.ld
     4) Placing romconfig vars in '.init.1' and '.init.2' sections instead of '.romconfig'
     5) Place code needing to run out of RAM in section .srodata instead of .ramtext
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 74d5dfd1801da8efbb7693a607fd25e35ad1158d
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 4 10:36:41 2020 -0700

    ignore .map files

commit f32488556ce25e439fbab941f8019db639824f98
Author: Keith Packard <keithp@keithp.com>
Date:   Sun May 3 20:01:14 2020 -0700

    altos/lpc: Add explicit defines for all register groups
    
    This lets the compiler see the constant address, rather than
    having the linker stick it in later.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0459a4c7239c3017a61926bc8aab59e556b7eb5e
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 4 10:35:23 2020 -0700

    Create map file for all programs

commit 3d70ca6bae383878d8a7c13b862031531fa4ff81
Author: Keith Packard <keithp@keithp.com>
Date:   Sun May 3 18:31:19 2020 -0700

    altos/stm: Make ao_eeprom_total a #define instead of a const variable
    
    This is unused outside of ao_eeprom_stm.c, and as global const takes
    up space in flash.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9b62e2b4831eb90c65ecdf05c219e8711840ef1e
Author: Bdale Garbee <bdale@gag.com>
Date:   Thu May 14 12:44:27 2020 -0600

    point turnon_telemetrum_v2 to correct test script for v2.0

commit 918865cca7297dde522e1886edf71b46d6ee2534
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Apr 17 12:53:47 2020 -0700

    ao-tools: Declare ao_verbose as extern in shared header.
    
    gcc-10 disables 'common' behavior by defaul, so we need to only define
    variables in one location now.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c2acda26c1e4e0d7ffda9cd985180562f61aa88b
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Apr 17 12:51:13 2020 -0700

    ao-tools: Use array indexing instead of addition to make gcc-10 happy
    
    A struct with a trailing zero-length array (for variable-length data) is
    treated as a zero-sized object when doing pointer arithmetic, but treated
    correctly when treated as an array. This generates a warning from gcc-10
    
            load->data + address - load->address
    
    while this, which is 'the same', does not:
    
            &load->data[address - load->address]
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 769f0e6049ae0440cf32f8cb0b5e504f67f5e911
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 26 10:09:51 2020 -0700

    Start release notes for 1.9.4

commit a6687ce902a3011796aee93f87d08545e5f0cec9
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 26 10:01:48 2020 -0700

    altosui: Report baro ground alt for 'Pad Altitude' when GPS missing
    
    The 'Pad Altitude' field in the pad tab of AltosUI was originally one
    of three fields designed to report the GPS position of the pad. When
    TeleMini was added, the code was updated to separate the lat/lon from
    altitude display, but the pad_alt field in AltosState used for that
    was still only computed from GPS data.
    
    This fix gets rid of the confusing 'pad_alt' field in AltosState and
    has the 'Pad Altitude' data select either GPS ground altitude or baro
    ground altitude, depending on whether GPS data is available.
    
    signed-off-by: Keith Packard <keithp@keithp.com>

commit 455a059b9c44332b8dadd87fba31d194f66997b5
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 21 21:13:08 2020 -0700

    map-server: Create Manifest.txt at build time
    
    This ensures the libraries have the right names
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c9c4c615578c94201140cf904cfd7e3334853973
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 4 18:52:35 2020 -0800

    doc: start release notes for 1.9.3
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit d8716b015cfeb4955c0224c32d3c01e66b092209
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 4 18:51:00 2020 -0800

    doc: Document APRS offset configuration value
    
    Update screen shots including this as well.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 47f4121ae6596bdf18566295df2fdbe94fe676b8
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 4 18:23:14 2020 -0800

    altoslib, altosui, telegps: Add configuration support for APRS offset
    
    Configure the position within each minute that APRS transmissions
    occur
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f4ff561bfaa7c59493eb9d6b99f0347db381a167
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 4 17:26:49 2020 -0800

    altos: add APRS 'offset' value to set APRS transmision time
    
    This value is the offset from the top of the minute for the first APRS
    packet in the minute. Subsequent packets will be transmitted
    'interval' seconds apart for the rest of the minute.
    
    This allows multiple transmitters to be configured to share the same
    frequency and not transmit at the same time.
    
    Note that this offset only works when the device has GPS lock.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 0fd503fb65d513f54dade10256545043725d83e3
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Feb 25 23:57:51 2020 -0700

    update ChangeLog for release 1.9.2

commit 28e77f3520095a1e47ab25721b186e42110ffd3e
Merge: c6ea2666 91ab3acc
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Feb 25 23:57:31 2020 -0700

    Merge branch 'master' into branch-1.9

commit 91ab3acc113dc24e1ebce89875def646e590fb12
Merge: 243a6b5e aae87fe9
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Feb 25 23:55:29 2020 -0700

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

commit aae87fe9fa8d596fea6cc19d4701a7583255150f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Feb 25 17:08:58 2020 -0800

    Bump version to 1.9.2, android 27
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ec46adee44ea08120b1940ca55a5fbdf56874bb1
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Feb 25 17:07:15 2020 -0800

    Bump java lib versions in preparation for 1.9.2
    
    Quite a few changes; let's bump the version so we don't end up with
    the wrong version on some machine.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 45f7b91ea126f8f9e607a8ee53df655d992590f2
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Feb 25 22:51:54 2020 -0800

    libaltos: Create altos_pause_one_second API
    
    This is to wait for the reading thread to stop using the file object
    while cleaning up.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 243a6b5ee60989ec4c04b8a7638907d2517d4926
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Feb 25 23:18:11 2020 -0700

    update copyright assertion in TeleLaunch manual

commit c6ea266630b9eef7a80e267a4430d22d50954908
Merge: 12d6b4dc 7d2b2bae
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Feb 25 23:17:22 2020 -0700

    Merge branch 'master' into branch-1.9

commit 7d2b2bae8a7ed2e15040c58819c8e96215e8292b
Merge: af8f0b58 0993f791
Author: Bdale Garbee <bdale@gag.com>
Date:   Tue Feb 25 22:56:07 2020 -0700

    Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos

